<?php
/**
 * Controller to handling save setting
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPtak_Ajax_Setting' ))
{
  class IPPtak_Ajax_Setting
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      if ( ! empty( $_POST['promo_base_path'] )) {
        $path = sanitize_title( $_POST['promo_base_path'] );
        update_option( '__ipptak_base_path', $path );
      }
      if ( isset( $_POST['general_bar'] )) {
        $barId = absint( $_POST['general_bar'] );
        update_option( '__ipptak_general_bar', $barId );
      }
      if ( isset( $_POST['general_box'] )) {
        $boxId = absint( $_POST['general_box'] );
        update_option( '__ipptak_general_box', $boxId );
      }
      if ( isset( $_POST['home_bar'] )) {
        $barId = absint( $_POST['home_bar'] );
        update_option( '__ipptak_home_bar', $barId );
      }
      if ( isset( $_POST['home_box'] )) {
        $boxId = absint( $_POST['home_box'] );
        update_option( '__ipptak_home_box', $boxId );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPPTAK_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPPTAK_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }
  }
}
