<?php
/**
 * Controller to handling updating box process
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPtak_Ajax_Update_box' ))
{
    class IPPtak_Ajax_Update_box
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $redirect = false;
            $is_add   = false;
            $error    = true;
            if ( ! empty( $_POST['isadd'] )) {
                $is_add = true;
            }
            if ( ! empty( $_POST['box_id'] )) {
                $boxId = absint( $_POST['box_id'] );
                if ( $box = get_post( $boxId ) ) {
                    $this->_updateBox( $box );
                } else {
                    $boxId = 0;
                }
            } else {
                $boxId = $this->_addBox();
            }
            if ( $boxId )
            {
                $error = false;
                $model = new IPPtak_Model_Box();
                $model->saveSetting( $boxId );
            }
            if ( $error ) {
                $status   = 0;
                $boxId  = 0;
                if ( $is_add ) {
                    $message = __( 'Failed create box.', IPPTAK_SLUG );
                } else {
                    $message = __( 'Failed save box.', IPPTAK_SLUG );
                }
            } else {
                $status = 1;
                if ( $is_add ) {
                    $message  = __( 'Successfully created box.', IPPTAK_SLUG );
                    $redirect = admin_url() . 'admin.php?page=' . IPPTAK_PAGENAME . '-box&action=edit&id=' . $boxId . '&create=1';
                } else {
                    $message = __( 'Successfully saved box.', IPPTAK_SLUG );
                }
            }
            $result = array(
                'status'    => $status,
                'message'   => $message,
                'boxid'     => $boxId
            );
            if ( $redirect ) {
                $result['redirect'] = $redirect;
            }
            echo json_encode( $result );
            die();
        }

        /**
         * Add new box
         *
         * @return int
         */
        protected function _addBox()
        {
            global $user_ID;

            if ( empty( $_POST['box_name'] )) {
                $title = 'Unknown';
            } else {
                $title = apply_filters( 'single_post_title', $_POST['box_name'] );
            }

            $dataPost = array(
                'post_status'  => 'publish',
                'post_type'    => 'ipptak_box',
                'post_author'  => $user_ID,
                'post_title'   => $title,
                'post_content' => ''
            );
            $result = wp_insert_post( $dataPost );
            return $result;
        }

        /**
         * Update box
         *
         * @param  object $box
         * @return boolean
         */
        protected function _updateBox( $box )
        {
            $result   = 0;
            $dataPost = array();
            if ( ! empty( $_POST['box_name'] ) && $_POST['box_name'] != $box->post_title ) {
                $dataPost['post_title'] = apply_filters( 'single_post_title', $_POST['box_name'] );
            }
            if ( ! empty( $dataPost )) {
                $dataPost['ID'] = $box->ID;
                $result = wp_update_post( $dataPost );
            }
            return $result;
        }
    }
}
