<?php
/**
 * Manage bar button view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-button" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-cogs"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Button', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Add button to the bar', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Show/hide
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-activate"><?php _e( 'Show/Hide Button', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'button_activate', 'false' ) );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'Show', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Hide', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="button_activate" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether displaying button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Button URL
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Button URL', IPPTAK_SLUG ); ?></strong>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $this->setting->getSetting( 'button_url' );
          ?>
          <input type="text" id="input-button-url" class="ipptak-input ipptak-input-full" name="button_url" value="<?php echo $url; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The url of the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Button Label
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Button Label', IPPTAK_SLUG ); ?></strong>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = stripslashes( $this->setting->getSetting( 'button_label' ) );
          ?>
          <input type="text" id="input-button-label" class="ipptak-input ipptak-input-full" name="button_label" value="<?php echo $label; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Text to display on the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Template
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-template"><?php _e( 'Template', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-input-button-image-stock ipptak-image-option">
            <ul class="_options ipptak-clear">
              <?php
              $current = $this->setting->getSetting( 'button_template' );
              $root    = IPPTAK_BASE_URL . 'assets/img/buttons/button-template-';
              $options = range(1,4);

              foreach( $options as $value )
              {
                $sltd = '';
                if ( $value == $current ) {
                  $sltd = ' _selected';
                }
                $src  = $root . $value . '.png';
                echo '<li><span class="_item' . $sltd . '" data-value="' . $value . '">';
                echo '<img src="' . $src . '" alt="' . $value . '">';
                echo '<span class="_selected-overlay"><i class="ipchm-fa ipchm-fa-check-circle"></i></span>';
                echo '</span>';
                echo '</li>';
              }
              ?>
              <input type="hidden" class="_value-selected" name="button_template" value="<?php echo $current; ?>">
            </ul>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Select an image for your button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Button style color
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-style-color"><?php _e( 'Button Style Color', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="button_style_color" id="input-button-style-color">
            <?php
            $current = $this->setting->getSetting( 'button_style_color', 'clean' );
            $colors  = array(
              'clean'    => __( 'Clean', IPPTAK_SLUG ),
              'dark'     => __( 'Dark', IPPTAK_SLUG ),
              'red'      => __( 'Red', IPPTAK_SLUG ),
              'blue'     => __( 'Blue', IPPTAK_SLUG ),
              'green'    => __( 'Green', IPPTAK_SLUG ),
              'orange'   => __( 'Orange', IPPTAK_SLUG ),
              'gold'     => __( 'Gold', IPPTAK_SLUG ),
              'aqua'     => __( 'Aqua', IPPTAK_SLUG ),
              'purple'   => __( 'Purple', IPPTAK_SLUG ),
              'lime'     => __( 'Lime', IPPTAK_SLUG )
            );
            foreach( $colors as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The style color of the button in main content.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Size
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-size"><?php _e( 'Size', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="button_size" id="input-button-size">
            <?php
            $current = $this->setting->getSetting( 'button_size', 'lg' );
            $styles  = array(
              'sm'   => __( 'Small', IPPTAK_SLUG ),
              'md'   => __( 'Medium', IPPTAK_SLUG ),
              'lg'   => __( 'Large', IPPTAK_SLUG ),
              'vg'   => __( 'Very Large', IPPTAK_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The size of the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-radius"><?php _e( 'Radius', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="button_radius" id="input-button-radius">
            <?php
            $current = $this->setting->getSetting( 'button_radius', 'none' );
            $styles  = array(
              'none' => __( 'None', IPPTAK_SLUG ),
              'sm'   => __( 'Small', IPPTAK_SLUG ),
              'md'   => __( 'Medium', IPPTAK_SLUG ),
              'lg'   => __( 'Large', IPPTAK_SLUG ),
              'ov'   => __( 'Oval', IPPTAK_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The radius of the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Icon Position
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-icon-position"><?php _e( 'Icon Position', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="button_icon_position" id="input-button-icon-position">
            <?php
            $current = $this->setting->getSetting( 'button_icon_position', 'left' );
            $styles  = array(
              'none'  => __( 'None', IPPTAK_SLUG ),
              'left'  => __( 'Left', IPPTAK_SLUG ),
              'right' => __( 'Right', IPPTAK_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The icon position in the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Button Icon
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-button-icon"><?php _e( 'Button Icon', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $icon = stripslashes( $this->setting->getSetting( 'button_icon' ) );
          IPPtak_Faicon::get_html_option( 'button_icon', $icon );
          ?>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The icon of the button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
