<?php
/**
 * Manage box view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-manage-box" class="wrap ipptak-wrap ipptak-admin">
  <div class="ipptak-inner">
    <?php
    if ( $this->box ) {
        $this->title = $this->box->post_title;
        $this->info  = '<i class="ipptak-fa ipptak-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->box->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->title = __( 'Add Box', IPPTAK_SLUG );
        $this->info  = 'Add new box for your promotion page';
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipptak=1&action=update_box';
    ?>
    <div class="ipptak-main">
      <div class="ipptak-main-info"></div>

      <div class="ipptak-primary">
        <div class="ipptak-manage-wrap ipptak-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipptak-form-container ipptak-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="box_id" id="ipptak-value-boxid" value="<?php echo $this->boxId; ?>" />

            <div class="container-fluid container">

              <div class="ipptak-clear ipptak-tab">
                <?php
                $this->view( 'admin/box/nav' );
                ?>

                <div class="ipptak-manage-content">
                  <div class="ipptak-manage-info">
                    <div class="row">
                      <div class="col-md-8">
                        <div class="ipptak-tab-title">
                          <i class="ipptak-fa ipptak-fa-cogs"></i>
                          <div class="ipptak-title-text">
                            <h3> <?php _e( 'General', IPPTAK_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your box', IPPTAK_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <div class="ipptak-top-submit">
                          <button type="submit" class="ipptak-form-submit ipptak-btn ipptak-btn-secondary ipptak-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipptak-fa ipptak-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->box ) {
                            echo '<p class="ipptak-update-info">' .
                              __( 'Last Update', IPPTAK_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->box->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'admin/box/content' );
                  ?>

                  <div class="ipptak-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipptak-bottom-submit">
                          <button type="submit" class="ipptak-form-submit ipptak-btn ipptak-btn-secondary ipptak-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipptak-fa ipptak-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipptak-bottom-action text-right">
                          <?php
                          if ( $this->box ) :
                          ?>
                          <a href="#" class="ipptak-btn ipptak-btn-danger ipptak-btn-lg ipptak-item-delete ipptak-delete-edit" data-id="<?php echo $this->box->ID; ?>">
                              <i class="ipptak-fa ipptak-fa-trash"></i>
                              <?php _e( 'Delete', IPPTAK_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>

            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
