<?php
/**
 * Admin manage content page
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipptak-section-content" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-file-text-o"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Content', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Manage main content for the page', IPPTAK_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-title"><?php _e( 'Title', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'page_title' );
          ?>
          <input type="text" id="input-page-title" class="ipptak-input ipptak-input-full" name="page_title" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set page title.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Subtitle
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-subtitle"><?php _e( 'Subtitle', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'page_subtitle' );
          ?>
          <input type="text" id="input-page-subtitle" class="ipptak-input ipptak-input-full" name="page_subtitle" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set page subtitle.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Image
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-image"><?php _e( 'Image', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-upload-image ipptak-clear">
              <div class="ipptak-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'page_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipptak-hide">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipptak-image-field">
                  <div class="ipptak-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPPTAK_SLUG ); ?></p>
                      <a class="ipptak-btn ipptak-btn-secondary ipptak-btn-media ipptak-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPPTAK_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPPTAK_SLUG ); ?>">
                          <i class="ipptak-fa ipptak-fa-image"></i>
                          <?php _e( 'Select Photo', IPPTAK_SLUG ); ?>
                      </a>
                      <a class="ipptak-btn ipptak-btn-reset ipptak-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipptak-fa ipptak-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPPTAK_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipptak-upload-type" value="product_image" />
                  <input type="hidden" name="page_image" class="ipptak-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-y ipptak-help-abs">
        <div class="ipptak-form-label">
          <label for="input-page-info"><?php _e( 'Info', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field">
          <?php
          $title = $setting->getSetting( 'page_info' );
          ?>
          <div class="ipptak-editor">
            <?php
            $tinymceInit = array(
                'editor_height' => 100
            );
            $content = stripslashes( $setting->getSetting( 'page_info', '' ));
            wp_editor( $content, 'page_info', array(
                'editor_height' => 100,
                'tinymce'       => $tinymceInit
            ));
            ?>
        </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set page info/content.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Bar
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-bar"><?php _e( 'Bar', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="page_bar" id="input-page-bar">
            <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
            <?php
            $current = $setting->getSetting( 'page_bar' );

            if ( ! empty( $this->bars ))
            {
              foreach( $this->bars as $bar )
              {
                $sltd = '';
                if ( $bar->ID == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $bar->ID . '"' . $sltd . '>' . $bar->post_title . '</option>';
              }
            }
            ?>
          </select>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Box
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-box"><?php _e( 'Box', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="page_box" id="input-page-box">
            <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
            <?php
            $current = $setting->getSetting( 'page_box' );

            if ( ! empty( $this->boxes ))
            {
              foreach( $this->boxes as $box )
              {
                $sltd = '';
                if ( $box->ID == $current ) {
                  $sltd = ' selected="selected"';
                }
                echo '<option value="' . $box->ID . '"' . $sltd . '>' . $box->post_title . '</option>';
              }
            }
            ?>
          </select>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->
  </div>
</div>
