<?php
/**
 * Admin manage seo content of review page
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipptak-section-seo" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-globe"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'SEO', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Manage SEO content for the review page', IPPTAK_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Meta Title
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-title"><?php _e( 'Meta Title', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'seo_meta_title' );
          ?>
          <input type="text" id="input-seo-meta-title" class="ipptak-input ipptak-input-full" name="seo_meta_title" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The meta title content for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Meta Description
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-description"><?php _e( 'Meta Description', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $description = $setting->getSetting( 'seo_meta_description' );
          ?>
          <input type="text" id="input-seo-meta-description" class="ipptak-input ipptak-input-full" name="seo_meta_description" value="<?php echo $description; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The meta description content for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Meta Keywords
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-keywords"><?php _e( 'Meta Keywords', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $keywords = $setting->getSetting( 'seo_meta_keywords' );
          ?>
          <input type="text" id="input-seo-meta-keywords" class="ipptak-input ipptak-input-full" name="seo_meta_keywords" value="<?php echo $keywords; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The meta keywords content for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Open Graph Image URL
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-graph-image"><?php _e( 'Open Graph Image URL', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_graph_image' );
          ?>
          <input type="text" id="input-seo-graph-image" class="ipptak-input ipptak-input-full" name="seo_graph_image" value="<?php echo $url; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The open graph image url for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Favicon URL
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-favicon"><?php _e( 'Favicon URL', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_favicon' );
          ?>
          <input type="text" id="input-seo-favicon" class="ipptak-input ipptak-input-full" name="seo_favicon" value="<?php echo $url; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The favicon url for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Tracking Code
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-tracking-code"><?php _e( 'Tracking Code', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $code = $setting->getSetting( 'seo_tracking_code' );
          ?>
          <textarea id="input-seo-tracking-code" class="ipptak-input ipptak-input-full" name="seo_tracking_code"><?php echo $code; ?></textarea>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The tracking code for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->
  </div>
</div>
