<?php
/**
 * Admin statistic view
 *
 * @package wp-email-countdown
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-statistic" class="ipptak-tab-content ipptak-save-hide">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-line-chart"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Statistic', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'See the statistic data for your page', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <!-- start: .ipptak-statistic -->
      <div class="ipptak-statistic">

        <?php
        $model  = new IPPtak_Model_Stat();
        $pageId = $this->pageData->ID;
        $click  = $model->getStatValue( $pageId, 'click' );
        $view   = $model->getStatValue( $pageId, 'view' );
        ?>

        <div class="ipptak-stat-filter ipptak-clear">
          <div class="ipptak-stat-nav">
            <div class="container container-fluid">
              <ul class="row">
                <li class="col-sm-3 ipptak-nav-view ipptak-nav-blue active">
                  <a href="#stat-view">
                    <i class="ipptak-fa ipptak-fa-eye"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $view ); ?></strong>
                      <em> <?php _e( 'Views', IPPTAK_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipptak-nav-buy ipptak-nav-orange">
                  <a href="#stat-click">
                    <i class="ipptak-fa ipptak-fa-shield"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $click ); ?></strong>
                      <em> <?php _e( 'Clicks', IPPTAK_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
          <div class="ipptak-date-filter">
            <form action="" method="post">
              <input type="hidden" id="value-pageid" name="pageid" value="<?php echo $pageId; ?>" />
              <input type="hidden" id="value-stat-type" name="stat_type" value="view" />
              <?php
              $dateStart = date('m/d/Y');
              $dateEnd   = date('m/d/Y');
              ?>
              <strong> <?php _e( 'Filter By Date', IPPTAK_SLUG ); ?>: </strong>
              <span class="ipptak-date-input">
                <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                -
                <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
              </span>
              <span class="ipptak-do-filter">
                <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', IPPTAK_SLUG ); ?>" />
              </span>
            </form>
          </div>
        </div>

        <div class="ipptak-stat-main">
            <h4><?php _e( 'Views Statistic', IPPTAK_SLUG ); ?></h4>
            <div class="ipptak-stat-chart">

                <script type="text/javascript" src="https://www.google.com/jsapi"></script>
                <script type="text/javascript">
                    google.load("visualization", "1", {packages:["corechart"]});
                    google.setOnLoadCallback(drawChart);
                    function drawChart() {

                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', '<?php _e( 'Date', IPPTAK_SLUG ); ?>' );
                        dataTable.addColumn( 'number', '<?php _e( 'View', IPPTAK_SLUG ); ?>' );

                        var rows = [
                        <?php
                        $stdata = $model->getStatisticData( $pageId, 'view' );
                        if ( $stdata ) {
                            foreach( $stdata as $data ) {
                                $timestamp = strtotime( $data->gdate );
                                $phpdate   = getdate($timestamp);

                                echo '[new Date('
                                        . $phpdate['year'] . ', '
                                        . ( $phpdate['mon']  - 1 ) . ', '
                                        . $phpdate['mday'] . ',0,0,0), '
                                        . $data->value
                                    . '],';
                            }
                        }
                        ?>
                        ];
                        dataTable.addRows( rows );

                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById('ipptak-chart-div'));
                        chart.draw(dataTable, options);
                    }
                </script>

                <div id="ipptak-chart-div" class="ipptak-chart-main" style="width: 100%; height: 500px;"></div>
                <div class="ipptak-chart-load" style="display: none;">
                    <?php
                    $src = IPPTAK_BASE_URL . 'assets/img/loading.gif';
                    ?>
                    <img src="<?php echo $src; ?>" alt="Loading..." />
                </div>

            </div>
        </div>

      </div>
      <!-- end: .ipptak-statistic -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
