<?php
/**
 * Bar button view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->barSetting;
if ( $st->getSetting( 'button_activate', 'true' ) == 'false' ) {
  return;
}

$url      = $st->getSetting( 'button_url', '#' );
$label    = stripslashes( $st->getSetting( 'button_label' ) );
$icon     = stripslashes( $st->getSetting( 'button_icon' ) );
$template = $st->getSetting( 'button_template', 1 );
$color    = $st->getSetting( 'button_style_color', 'clean' );
$size     = $st->getSetting( 'button_size', 'lg' );
$icpos    = $st->getSetting( 'button_icon_position', 'left' );
$radius   = $st->getSetting( 'button_radius', 'none' );
?>
<div class="ipptak-button-wrapper">
  <?php
  $class  = 'ipptak-button';
  $class .= ' ipptak-template-' . $template;
  $class .= ' ipptak-' . $color;
  $class .= ' ipptak-' . $size;
  $class .= ' ipptak-icon-' . $icpos;
  $class .= ' ipptak-radius-' . $radius;

  $adata  = '';
  if ( isset( $this->page )) {
    $adata = ' data-page-id="' . $this->page->ID . '"';
  }
  ?>
  <a class="<?php echo $class; ?>" href="<?php echo $url; ?>"<?php echo $adata; ?>>
    <span class="ipptak-button-inner">
      <?php
      if ( ! empty( $icon ) && $icpos == 'left' ) :
      ?>
      <span class="ipptak-button-icon">
        <i class="ipptak-fa ipptak-fa-<?php echo $icon; ?>"></i>
      </span>
      <?php
      endif;
      ?>
      <span class="ipptak-button-label">
        <?php echo $label; ?>
      </span>
      <?php
      if ( ! empty( $icon ) && $icpos == 'right' ) :
      ?>
      <span class="ipptak-button-icon">
        <i class="ipptak-fa ipptak-fa-<?php echo $icon; ?>"></i>
      </span>
      <?php
      endif;
      ?>
    </span>
  </a>
</div>
