<?php
/**
 * Box view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! isset( $this->box ) || ! $this->box ) {
  return;
}
$st = $this->boxSetting;
$marLeft  = (int)$st->getSetting( 'margin_left', 0 );
$marRight = (int)$st->getSetting( 'margin_right', 0 );
?>

<?php
//
//Style
$this->view( 'front/box/style' );

$mainClass  = 'ipptak-widget ipptak-box';
$mainClass .= ' ipptak-box-' . $this->box->ID;
$mainClass .= ' ipptak-box-style-' . $st->getSetting( 'style', 1 );
$mainClass .= ' ipptak-box-' . $st->getSetting( 'position', 'left' );

if ( $radius = $st->getSetting( 'border_radius' )) {
    $mainClass .= ' ipptak-radius-' . $radius;
}
if ( $st->getSetting( 'shadow', 'false' ) == 'true' ) {
    $mainClass .= ' ipptak-shadow-on';
} else {
    $mainClass .= ' ipptak-shadow-off';
}
if ( isset( $this->isPreview )) {
  $mainClass .= ' ipptak-box-preview ipptak-box-hide';
}

if ( $marLeft == 0 && $marRight == 0 && ( ! $radius || $radius == 'none' ) ) {
  $mainClass .= ' ipptak-full';
}
?>
<div class="<?php echo $mainClass; ?>">
  <div class="ipptak-box-wrapper">
    <div class="ipptak-box-inner">
      <div class="ipptak-box-main clearfix">
        <?php
        $this->view( 'front/box/info' );
        $this->view( 'front/box/video' );
        $this->view( 'front/box/countdown' );
        $this->view( 'front/box/button' );
        ?>
      </div>
    </div>
    <div class="ipptak-box-background"></div>
    <?php
    //Close button
    $this->view( 'front/box/close' );
    //Effect
    $this->view( 'front/box/effect' );
    ?>
  </div>
</div>
