<?php
/**
 * Page main content view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
//
//Page image
$imgurl = false;
if ( $img = $st->getSetting( 'page_image' ))
{
  $data = wp_get_attachment_image_src( $img, 'full' );
  if ( ! empty( $data[0] )) {
    $imgurl = $data[0];
  }
}
?>

<div class="row">
  <?php
  if ( $imgurl ) :
  ?>
  <div class="col-md-4">
    <div class="_page-thumbnail">
      <img src="<?php echo $imgurl; ?>" alt="">
    </div>
  </div>
  <?php
  endif;

  if ( $imgurl ) {
    $classRight = 'col-md-8';
  } else {
    $classRight = 'col-xs-12';
  }
  ?>

  <div class="<?php echo $classRight; ?>">
    <div class="_page-main">
      <?php
      $title    = stripslashes( $st->getSetting( 'page_title' ));
      $subtitle = stripslashes( $st->getSetting( 'page_subtitle' ));
      $content  = stripslashes( $st->getSetting( 'page_info' ));

      if ( ! empty( $title ) || ! empty( $subtitle )) :
      ?>
      <div class="_page-header">
        <?php
        if ( ! empty( $title )) :
        ?>
        <h1 class="_page-title">
          <span class="_title-text">
            <?php echo $title; ?>
          </span>
        </h1>
        <?php
        endif;

        if ( ! empty( $subtitle )) :
        ?>
        <h3 class="_page-subtitle">
          <span class="_title-text">
            <?php echo $subtitle; ?>
          </span>
        </h3>
        <?php
        endif;
        ?>

      </div>
      <?php
      endif;
      ?>

      <?php
      if ( ! empty( $content )) :
      ?>
      <div class="_page-content">
        <div class="_page-content-inner">
          <?php echo $content; ?>
        </div>
      </div>
      <?php
      endif;
      ?>
    </div>
  </div>
</div>
