<?php
/**
 * Product info
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st     = $this->setting;
$class  = '_product-info';
$imgSrc = false;

if ( $img = $st->getSetting( 'product_image' ))
{
    $data = wp_get_attachment_image_src( $img, 'full' );
    if ( ! empty( $data[0] )) {
        $imgSrc = $data[0];
        $class .= ' _product-w-image';
    }
}
?>

<!-- Start: _product-info -->
<div class="<?php echo $class; ?>">
  <div class="row">

    <?php
    if ( $imgSrc ) :
    ?>
    <!-- Start: _product-thumbnail -->
    <div class="_product-thumbnail col-md-3">
      <div class="_product-image">
        <img src="<?php echo $imgSrc; ?>" alt="">
      </div>
    </div>
    <!-- End: _product-thumbnail -->
    <?php
    endif;

    if ( $imgSrc ) {
      $mcolClass = 'col-md-9';
    } else {
      $mcolClass = 'col-md-12';
    }
    $productUrl = $st->getSetting( 'product_url' );
    ?>
    <!-- Start: _product-info-main -->
    <div class="_product-info-main <?php echo $mcolClass; ?>">
      <div class="_product-info-inner">
        <div class="_product-header">
        <div class="_product-header-inner">
          <div class="_product-title">
            <h2>
              <?php
              if ( $productUrl ) {
                echo '<a href="' . $productUrl . '">';
                echo $st->getSetting( 'product_name' );
                echo '</a>';
              } else {
                echo $st->getSetting( 'product_name' );
              }
              ?>
            </h2>
          </div>
          <?php
          //Category
          if ( $cat = $st->getSetting( 'product_category' ) ) :
          ?>
          <div class="_product-category">
            <em><?php echo $cat; ?></em>
          </div>
          <?php
          endif;
          ?>
        </div>
        </div>

        <?php
        //Price
        if ( $price = $st->getSetting( 'product_price' ) ) :
        ?>
        <div class="_product-price">
          <?php echo $price; ?>
        </div>
        <?php
        endif;

        //Description
        if ( $description = $st->getSetting( 'product_description' ) ) :
        ?>
        <div class="_product-description">
          <p><?php echo $description; ?></p>
        </div>
        <?php
        endif;

        //Link
        if ( $productUrl ) :
          $btnclass  = 'ipptak-btn ipptak-btn-md';
          $btnclass .= ' ipptak-btn-' . $st->getSetting( 'main_button_style' );
          $btnclass .= ' ipptak-btn-' . $st->getSetting( 'main_button_style_color' );
        ?>
        <div class="_product-link">
          <a href="<?php echo $productUrl; ?>" class="<?php echo $btnclass; ?>">
            <?php echo $st->getSetting( 'product_button_label', __( 'Read more', IPPTAK_SLUG ) ); ?>
          </a>
        </div>
        <?php
        endif;
        ?>

        <?php
        //Share
        $this->view( 'front/page/content/share' );
        ?>
      </div>
    </div>
    <!-- Start: _product-info-main -->
  </div>
</div>
<!-- End: _product-info -->
