<?php
/**
 * Controller to handling updating bar process
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPtak_Ajax_Update_bar' ))
{
    class IPPtak_Ajax_Update_bar
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $redirect = false;
            $is_add   = false;
            $error    = true;
            if ( ! empty( $_POST['isadd'] )) {
                $is_add = true;
            }
            if ( ! empty( $_POST['bar_id'] )) {
                $barId = absint( $_POST['bar_id'] );
                if ( $bar = get_post( $barId ) ) {
                    $this->_updateBar( $bar );
                } else {
                    $barId = 0;
                }
            } else {
                $barId = $this->_addBar();
            }
            if ( $barId )
            {
                $error = false;
                $model = new IPPtak_Model_Bar();
                $model->saveSetting( $barId );
            }
            if ( $error ) {
                $status   = 0;
                $barId  = 0;
                if ( $is_add ) {
                    $message = __( 'Failed create bar.', IPPTAK_SLUG );
                } else {
                    $message = __( 'Failed save bar.', IPPTAK_SLUG );
                }
            } else {
                $status = 1;
                if ( $is_add ) {
                    $message  = __( 'Successfully created bar.', IPPTAK_SLUG );
                    $redirect = admin_url() . 'admin.php?page=' . IPPTAK_PAGENAME . '&action=edit&id=' . $barId . '&create=1';
                } else {
                    $message = __( 'Successfully saved bar.', IPPTAK_SLUG );
                }
            }
            $result = array(
                'status'    => $status,
                'message'   => $message,
                'barid'     => $barId
            );
            if ( $redirect ) {
                $result['redirect'] = $redirect;
            }
            echo json_encode( $result );
            die();
        }

        /**
         * Add new bar
         *
         * @return int
         */
        protected function _addBar()
        {
            global $user_ID;

            if ( empty( $_POST['bar_name'] )) {
                $title = 'Unknown';
            } else {
                $title = apply_filters( 'single_post_title', $_POST['bar_name'] );
            }

            $dataPost = array(
                'post_status'  => 'publish',
                'post_type'    => 'ipptak_bar',
                'post_author'  => $user_ID,
                'post_title'   => $title,
                'post_content' => ''
            );
            $result = wp_insert_post( $dataPost );
            return $result;
        }

        /**
         * Update bar
         *
         * @param  object $bar
         * @return boolean
         */
        protected function _updateBar( $bar )
        {
            $result   = 0;
            $dataPost = array();
            if ( ! empty( $_POST['bar_name'] ) && $_POST['bar_name'] != $bar->post_title ) {
                $dataPost['post_title'] = apply_filters( 'single_post_title', $_POST['bar_name'] );
            }
            if ( ! empty( $dataPost )) {
                $dataPost['ID'] = $bar->ID;
                $result = wp_update_post( $dataPost );
            }
            return $result;
        }
    }
}
