<?php
/**
 * Class model bar
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPtak_Model_Bar' )) {

  /**
   * Class model bar
   */
  class IPPtak_Model_Bar
  {
    /**
     * Save setting
     *
     * @param  int $postId
     * @return void
     */
    public function saveSetting( $postId )
    {
      $postId   = absint( $postId );
      $data     = $this->_getSettingData();
      $setting  = new IPPtak_Setting( $postId, '__ipptak-bar-setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //General
      //
      if ( isset( $data['status'] )) {
        $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
      }
      if ( isset( $data['position'] )) {
        $setting['position'] = apply_filters( 'pre_term_name', $data['position'] );
      }
      if ( isset( $data['restricted'] )) {
        $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
      }

      //
      //
      // Content
      //
      if ( isset( $data['bar_title'] )) {
        $setting['bar_title'] = apply_filters( 'single_post_title', $data['bar_title'] );
      }
      if ( isset( $data['bar_info'] )) {
        $setting['bar_info'] = apply_filters( 'single_post_title', $data['bar_info'] );
      }

      //
      //
      // Style
      //
      if ( isset( $data['background_color'] )) {
        $setting['background_color'] = apply_filters( 'pre_term_name', $data['background_color'] );
      }
      if ( isset( $data['background_image'] )) {
        $setting['background_image'] = absint( $data['background_image'] );
      }
      if ( isset( $data['background_repeat'] )) {
        $setting['background_repeat'] = apply_filters( 'pre_term_name', $data['background_repeat'] );
      }
      if ( isset( $data['background_opacity'] )) {
        $setting['background_opacity'] = apply_filters( 'pre_term_name', $data['background_opacity'] );
      }
      if ( isset( $data['border_width'] )) {
        $setting['border_width'] = absint( $data['border_width'] );
      }
      if ( isset( $data['border_color'] )) {
        $setting['border_color'] = apply_filters( 'pre_term_name', $data['border_color'] );
      }
      if ( isset( $data['text_color'] )) {
        $setting['text_color'] = apply_filters( 'pre_term_name', $data['text_color'] );
      }
      if ( isset( $data['padding_top'] )) {
        $setting['padding_top'] = absint( $data['padding_top'] );
      }
      if ( isset( $data['padding_bottom'] )) {
        $setting['padding_bottom'] = absint( $data['padding_bottom'] );
      }
      if ( isset( $data['margin_left'] )) {
        $setting['margin_left'] = absint( $data['margin_left'] );
      }
      if ( isset( $data['margin_right'] )) {
        $setting['margin_right'] = absint( $data['margin_right'] );
      }
      if ( isset( $data['font_family'] )) {
        $setting['font_family'] = apply_filters( 'pre_term_name', $data['font_family'] );
      }
      if ( isset( $data['border_radius'] )) {
        $setting['border_radius'] = apply_filters( 'pre_term_name', $data['border_radius'] );
      }
      if ( isset( $data['shadow'] )) {
        $setting['shadow'] = apply_filters( 'pre_term_name', $data['shadow'] );
      }
      if ( isset( $data['close_button'] )) {
        $setting['close_button'] = apply_filters( 'pre_term_name', $data['close_button'] );
      }
      if ( isset( $data['close_bgcolor'] )) {
        $setting['close_bgcolor'] = apply_filters( 'pre_term_name', $data['close_bgcolor'] );
      }
      if ( isset( $data['close_border_width'] )) {
        $setting['close_border_width'] = absint( $data['close_border_width'] );
      }
      if ( isset( $data['close_border_color'] )) {
        $setting['close_border_color'] = apply_filters( 'pre_term_name', $data['close_border_color'] );
      }
      if ( isset( $data['close_color'] )) {
        $setting['close_color'] = apply_filters( 'pre_term_name', $data['close_color'] );
      }

      //
      //
      // Countdown
      //
      if ( isset( $data['countdown_activate'] )) {
        $setting['countdown_activate'] = apply_filters( 'pre_term_name', $data['countdown_activate'] );
      }
      if ( isset( $data['countdown_target_date'] )) {
        $setting['countdown_target_date'] = apply_filters( 'single_post_title', $data['countdown_target_date'] );
      }
      if ( isset( $data['countdown_target_time'] )) {
        $setting['countdown_target_time'] = apply_filters( 'single_post_title', $data['countdown_target_time'] );
      }
      if ( isset( $data['countdown_format'] )) {
        $setting['countdown_format'] = apply_filters( 'single_post_title', $data['countdown_format'] );
      }
      if ( isset( $data['countdown_font_family'] )) {
        $setting['countdown_font_family'] = apply_filters( 'pre_term_name', $data['countdown_font_family'] );
      }
      if ( isset( $data['countdown_bgcolor_on'] )) {
        $setting['countdown_bgcolor_on'] = apply_filters( 'pre_term_name', $data['countdown_bgcolor_on'] );
      }
      if ( isset( $data['countdown_bgcolor'] )) {
        $setting['countdown_bgcolor'] = apply_filters( 'pre_term_name', $data['countdown_bgcolor'] );
      }
      if ( isset( $data['countdown_border_width'] )) {
        $setting['countdown_border_width'] = absint( $data['countdown_border_width'] );
      }
      if ( isset( $data['countdown_border_color'] )) {
        $setting['countdown_border_color'] = apply_filters( 'pre_term_name', $data['countdown_border_color'] );
      }
      if ( isset( $data['countdown_border_radius'] )) {
        $setting['countdown_border_radius'] = apply_filters( 'pre_term_name', $data['countdown_border_radius'] );
      }
      if ( isset( $data['timer_bgcolor'] )) {
        $setting['timer_bgcolor'] = apply_filters( 'pre_term_name', $data['timer_bgcolor'] );
      }
      if ( isset( $data['timer_color'] )) {
        $setting['timer_color'] = apply_filters( 'pre_term_name', $data['timer_color'] );
      }
      if ( isset( $data['timer_border_radius'] )) {
        $setting['timer_border_radius'] = apply_filters( 'pre_term_name', $data['timer_border_radius'] );
      }
      if ( isset( $data['timer_shadow'] )) {
        $setting['timer_shadow'] = apply_filters( 'pre_term_name', $data['timer_shadow'] );
      }
      if ( isset( $data['timer_flip'] )) {
        $setting['timer_flip'] = apply_filters( 'pre_term_name', $data['timer_flip'] );
      }
      if ( isset( $data['timer_label_color'] )) {
        $setting['timer_label_color'] = apply_filters( 'pre_term_name', $data['timer_label_color'] );
      }
      if ( isset( $data['timer_label_position'] )) {
        $setting['timer_label_position'] = apply_filters( 'pre_term_name', $data['timer_label_position'] );
      }

      //
      //
      // Button
      //
      if ( isset( $data['button_activate'] )) {
        $setting['button_activate'] = apply_filters( 'pre_term_name', $data['button_activate'] );
      }
      if ( isset( $data['button_url'] )) {
        $setting['button_url'] = apply_filters( 'pre_link_url', $data['button_url'] );
      }
      if ( isset( $data['button_label'] )) {
        $setting['button_label'] = apply_filters( 'single_post_title', $data['button_label'] );
      }
      if ( isset( $data['button_template'] )) {
        $setting['button_template'] = absint( $data['button_template'] );
      }
      if ( isset( $data['button_style_color'] )) {
        $setting['button_style_color'] = apply_filters( 'pre_term_name', $data['button_style_color'] );
      }
      if ( isset( $data['button_size'] )) {
        $setting['button_size'] = apply_filters( 'pre_term_name', $data['button_size'] );
      }
      if ( isset( $data['button_radius'] )) {
        $setting['button_radius'] = apply_filters( 'pre_term_name', $data['button_radius'] );
      }
      if ( isset( $data['button_icon_position'] )) {
        $setting['button_icon_position'] = apply_filters( 'pre_term_name', $data['button_icon_position'] );
      }
      if ( isset( $data['button_icon'] )) {
        $setting['button_icon'] = apply_filters( 'pre_term_name', $data['button_icon'] );
      }

      //
      //Effect
      //
      if ( isset( $data['show_delay'] )) {
        $setting['show_delay'] = absint( $data['show_delay'] );
      }
      if ( isset( $data['show_effect'] )) {
        $setting['show_effect'] = apply_filters( 'pre_term_name', $data['show_effect'] );
      }
      if ( isset( $data['show_effect_speed'] )) {
        $setting['show_effect_speed'] = absint( $data['show_effect_speed'] );
      }
      if ( isset( $data['hide_effect'] )) {
        $setting['hide_effect'] = apply_filters( 'pre_term_name', $data['hide_effect'] );
      }
      if ( isset( $data['hide_effect_speed'] )) {
        $setting['hide_effect_speed'] = absint( $data['hide_effect_speed'] );
      }
      if ( isset( $data['show_audio'] )) {
        $setting['show_audio'] = apply_filters( 'pre_term_name', $data['show_audio'] );
      }
      if ( isset( $data['hide_audio'] )) {
        $setting['hide_audio'] = apply_filters( 'pre_term_name', $data['hide_audio'] );
      }

      return $setting;
    }
  }
}
?>
