<?php
/**
 * Class model page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPtak_Model_Page' ))
{
  /**
   * Class for manage post setting
   */
  class IPPtak_Model_Page
  {
    /**
     * Save setting page
     *
     * @param  int $pageId
     * @return void
     */
    public function saveSetting( $pageId )
    {
      $pageId   = absint( $pageId );
      $data     = $this->_getSettingData();
      $setting  = new IPPtak_Setting( $pageId, '__ipptak-page-setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //
      // General
      //
      if ( isset( $data['status'] )) {
          $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
      }
      if ( isset( $data['restricted'] )) {
          $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
      }

      //
      //
      // SEO
      //
      if ( isset( $data['seo_meta_title'] )) {
          $setting['seo_meta_title'] = apply_filters( 'single_post_title', $data['seo_meta_title'] );
      }
      if ( isset( $data['seo_meta_description'] )) {
          $setting['seo_meta_description'] = apply_filters( 'single_post_title', $data['seo_meta_description'] );
      }
      if ( isset( $data['seo_meta_keywords'] )) {
          $setting['seo_meta_keywords'] = apply_filters( 'single_post_title', $data['seo_meta_keywords'] );
      }
      if ( isset( $data['seo_graph_image'] )) {
          $setting['seo_graph_image'] = apply_filters( 'pre_link_url', $data['seo_graph_image'] );
      }
      if ( isset( $data['seo_favicon'] )) {
          $setting['seo_favicon'] = apply_filters( 'pre_link_url', $data['seo_favicon'] );
      }
      if ( isset( $data['seo_tracking_code'] )) {
          $setting['seo_tracking_code'] = $data['seo_tracking_code'];
      }

      //
      //
      // Content
      //
      if ( isset( $data['page_title'] )) {
          $setting['page_title'] = apply_filters( 'single_post_title', $data['page_title'] );
      }
      if ( isset( $data['page_subtitle'] )) {
          $setting['page_subtitle'] = apply_filters( 'single_post_title', $data['page_subtitle'] );
      }
      if ( isset( $data['page_info'] )) {
          $setting['page_info'] = $data['page_info'];
      }
      if ( isset( $data['page_image'] )) {
          $setting['page_image'] = absint( $data['page_image'] );
      }
      if ( isset( $data['page_bar'] )) {
          $setting['page_bar'] = absint( $data['page_bar'] );
      }
      if ( isset( $data['page_box'] )) {
          $setting['page_box'] = absint( $data['page_box'] );
      }

      //
      //
      //Header
      //
      if ( isset( $data['header_title'] )) {
          $setting['header_title'] = apply_filters( 'single_post_title', $data['header_title'] );
      }
      if ( isset( $data['header_logo'] )) {
          $setting['header_logo'] = absint( $data['header_logo'] );
      }
      if ( isset( $data['header_style'] )) {
          $setting['header_style'] = absint( $data['header_style'] );
      }
      if ( isset( $data['header_alignment'] )) {
          $setting['header_alignment'] = apply_filters( 'pre_term_name', $data['header_alignment'] );
      }
      if ( isset( $data['header_background_color'] )) {
          $setting['header_background_color'] = apply_filters( 'pre_term_name', $data['header_background_color'] );
      }
      if ( isset( $data['header_color'] )) {
          $setting['header_color'] = apply_filters( 'pre_term_name', $data['header_color'] );
      }
      if ( isset( $data['header_border_width'] )) {
          $setting['header_border_width'] = absint( $data['header_border_width'] );
      }
      if ( isset( $data['header_border_color'] )) {
          $setting['header_border_color'] = apply_filters( 'pre_term_name', $data['header_border_color'] );
      }
      if ( isset( $data['header_border_radius'] )) {
          $setting['header_border_radius'] = apply_filters( 'pre_term_name', $data['header_border_radius'] );
      }
      if ( isset( $data['header_style'] )) {
          $setting['header_style'] = absint( $data['header_style'] );
      }
      if ( isset( $data['header_padding_top'] )) {
          $setting['header_padding_top'] = absint( $data['header_padding_top'] );
      }
      if ( isset( $data['header_padding_bottom'] )) {
          $setting['header_padding_bottom'] = absint( $data['header_padding_bottom'] );
      }
      if ( isset( $data['header_font_family'] )) {
          $setting['header_font_family'] = apply_filters( 'pre_term_name', $data['header_font_family'] );
      }
      if ( isset( $data['header_shadow'] )) {
          $setting['header_shadow'] = apply_filters( 'pre_term_name', $data['header_shadow'] );
      }

      //
      //
      //Footer
      //
      if ( isset( $data['footer_text'] )) {
          $setting['footer_text'] = apply_filters( 'single_post_title', $data['footer_text'] );
      }
      if ( isset( $data['footer_style'] )) {
          $setting['footer_style'] = absint( $data['footer_style'] );
      }
      if ( isset( $data['footer_background_color'] )) {
          $setting['footer_background_color'] = apply_filters( 'pre_term_name', $data['footer_background_color'] );
      }
      if ( isset( $data['footer_color'] )) {
          $setting['footer_color'] = apply_filters( 'pre_term_name', $data['footer_color'] );
      }
      if ( isset( $data['footer_border_width'] )) {
          $setting['footer_border_width'] = absint( $data['footer_border_width'] );
      }
      if ( isset( $data['footer_border_color'] )) {
          $setting['footer_border_color'] = apply_filters( 'pre_term_name', $data['footer_border_color'] );
      }
      if ( isset( $data['footer_border_radius'] )) {
          $setting['footer_border_radius'] = apply_filters( 'pre_term_name', $data['footer_border_radius'] );
      }
      if ( isset( $data['footer_style'] )) {
          $setting['footer_style'] = absint( $data['footer_style'] );
      }
      if ( isset( $data['footer_padding_top'] )) {
          $setting['footer_padding_top'] = absint( $data['footer_padding_top'] );
      }
      if ( isset( $data['footer_padding_bottom'] )) {
          $setting['footer_padding_bottom'] = absint( $data['footer_padding_bottom'] );
      }
      if ( isset( $data['footer_font_family'] )) {
          $setting['footer_font_family'] = apply_filters( 'pre_term_name', $data['footer_font_family'] );
      }
      if ( isset( $data['footer_alignment'] )) {
          $setting['footer_alignment'] = apply_filters( 'pre_term_name', $data['footer_alignment'] );
      }

      //
      //
      //Style
      //
      if ( isset( $data['background_color'] )) {
          $setting['background_color'] = apply_filters( 'pre_term_name', $data['background_color'] );
      }
      if ( isset( $data['background_image'] )) {
          $setting['background_image'] = absint( $data['background_image'] );
      }
      if ( isset( $data['background_opacity'] )) {
          $setting['background_opacity'] = absint( $data['background_opacity'] );
      }
      if ( isset( $data['background_repeat'] )) {
          $setting['background_repeat'] = apply_filters( 'pre_term_name', $data['background_repeat'] );
      }

      //
      //COntent main
      if ( isset( $data['main_background_color'] )) {
          $setting['main_background_color'] = apply_filters( 'pre_term_name', $data['main_background_color'] );
      }
      if ( isset( $data['main_text_color'] )) {
          $setting['main_text_color'] = apply_filters( 'pre_term_name', $data['main_text_color'] );
      }
      if ( isset( $data['main_link_color'] )) {
          $setting['main_link_color'] = apply_filters( 'pre_term_name', $data['main_link_color'] );
      }
      if ( isset( $data['main_link_hover_color'] )) {
          $setting['main_link_hover_color'] = apply_filters( 'pre_term_name', $data['main_link_hover_color'] );
      }
      if ( isset( $data['main_padding'] )) {
          $setting['main_padding'] = absint( $data['main_padding'] );
      }
      if ( isset( $data['main_border_width'] )) {
          $setting['main_border_width'] = absint( $data['main_border_width'] );
      }
      if ( isset( $data['main_border_color'] )) {
          $setting['main_border_color'] = apply_filters( 'pre_term_name', $data['main_border_color'] );
      }
      if ( isset( $data['main_border_radius'] )) {
          $setting['main_border_radius'] = apply_filters( 'pre_term_name', $data['main_border_radius'] );
      }
      if ( isset( $data['main_font_family'] )) {
          $setting['main_font_family'] = absint( $data['main_font_family'] );
      }
      if ( isset( $data['main_shadow'] )) {
          $setting['main_shadow'] = apply_filters( 'pre_term_name', $data['main_shadow'] );
      }

      //
      //
      // Share
      //
      if ( isset( $data['share_status'] )) {
          $setting['share_status'] = apply_filters( 'pre_term_name', $data['share_status'] );
      }
      if ( isset( $data['share_facebook'] )) {
          $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
      }
      if ( isset( $data['share_twitter'] )) {
          $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
      }
      if ( isset( $data['share_google-plus'] )) {
          $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
      }
      if ( isset( $data['share_linkedin'] )) {
          $setting['share_linkedin'] = apply_filters( 'pre_term_name', $data['share_linkedin'] );
      }
      if ( isset( $data['share_tumblr'] )) {
          $setting['share_tumblr'] = apply_filters( 'pre_term_name', $data['share_tumblr'] );
      }
      if ( isset( $data['share_pinterest'] )) {
          $setting['share_pinterest'] = apply_filters( 'pre_term_name', $data['share_pinterest'] );
      }
      if ( isset( $data['share_stumbleupon'] )) {
          $setting['share_stumbleupon'] = apply_filters( 'pre_term_name', $data['share_stumbleupon'] );
      }
      if ( isset( $data['share_digg'] )) {
          $setting['share_digg'] = apply_filters( 'pre_term_name', $data['share_digg'] );
      }
      if ( isset( $data['share_button_style'] )) {
          $setting['share_button_style'] = apply_filters( 'pre_term_name', $data['share_button_style'] );
      }
      return $setting;
    }
  }
}
?>
