<?php
/**
 * Manage bar content view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-content" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-cogs"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Content', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Set the bar content', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-y ipptak-help-abs">
        <div class="ipptak-form-label">
          <label for="input-bar-title"><?php _e( 'Title', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field">
          <?php
          $title = stripslashes( $this->setting->getSetting( 'bar_title' ) );
          ?>
          <input type="text" id="input-bar-title" class="ipptak-input ipptak-input-full" name="bar_title" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The title of the bar.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-y ipptak-help-abs">
        <div class="ipptak-form-label">
          <label for="input-bar-info"><?php _e( 'Info', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'bar_info' ) );
          ?>
          <textarea id="input-bar-info" class="ipptak-input ipptak-input-full" name="bar_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The info of the bar.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
