<?php
/**
 * Manage box content view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-content" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-cogs"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Content', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Set the box content', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-title"><?php _e( 'Title', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = stripslashes( $this->setting->getSetting( 'box_title' ) );
          ?>
          <input type="text" id="input-box-title" class="ipptak-input ipptak-input-full" name="box_title" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The title of the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-info"><?php _e( 'Info', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $this->setting->getSetting( 'box_info' ) );
          ?>
          <textarea id="input-box-info" class="ipptak-input ipptak-input-full" name="box_info" rows="6"><?php echo $info; ?></textarea>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The info of the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <h4 class="ipptak-field-title mb0 py10">
        <?php _e( 'Video', IPPTAK_SLUG ); ?>
      </h4>

      <?php
      /*
       * Youtube Video URL
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-video-url"><?php _e( 'Youtube Video URL', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $video = $this->setting->getSetting( 'box_video_url' );
          ?>
          <input type="text" id="input-box-video-url" class="ipptak-input ipptak-input-full" name="box_video_url" value="<?php echo $video; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide"><?php _e( 'The URL of youtube video for display in the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Input Start
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-video-start"><?php _e( 'Start Time', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-input-group">
            <?php
            $start = $this->setting->getSetting( 'box_video_start' );
            ?>
            <input type="text" id="input-box-video-start" class="ipptak-input ipptak-input-xs" name="box_video_start" value="<?php echo $start; ?>">
            <div class="ipptak-input-addon">second</div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Input autoplay
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-box-video-autoplay"><?php _e( 'Autoplay', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val = $this->setting->getSetting( 'box_video_autoplay', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="box_video_autoplay" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Is the video automatically plays when the page is loaded?', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
