<?php
/**
 * Admin content countdown view
 *
 * @package wp-video-attention
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-countdown" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-square"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Countdown', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Set the countdown content.', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Show/hide
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-activate"><?php _e( 'Activate Countdown', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'countdown_activate', 'false' ) );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'Show', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Hide', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="countdown_activate" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether displaying countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Target Date
      ?>
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-target-date"><?php _e( 'Target Date', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $date = $this->setting->getSetting( 'countdown_target_date', current_time( 'Y/m/d' ) );
          $time = $this->setting->getSetting( 'countdown_target_time', current_time( 'H:i' ) );
          ?>
          <div class="ipptak-input-group mr5">
            <input type="text" value="<?php echo $date; ?>" name="countdown_target_date" class="ipptak-input ipptak-input-sm ipptak-date-picker" id="input-countdown-target_date" readonly>
            <div class="ipptak-input-addon"><i class="ipptak-fa ipptak-fa-calendar"></i></div>
          </div>
          @
          <div class="ipptak-input-group ml5">
            <input type="text" value="<?php echo $time; ?>" name="countdown_target_time" class="ipptak-input ipptak-input-xs ipptak-time-picker" id="input-countdown-target-time" readonly>
            <div class="ipptak-input-addon"><i class="ipptak-fa ipptak-fa-clock-o"></i></div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Target date of your countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Format
      ?>
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-format"><?php _e( 'Format', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-countdown-format" name="countdown_format">
            <?php
            $format  = $this->setting->getSetting( 'countdown_format', 'd_h_i_s' );
            $formats = array(
              'y_m_d_h_i_s'  => __( 'Year Month Days Hours Minutes Seconds', IPPTAK_SLUG ),
              'y_m_d_h_i'    => __( 'Year Month Days Hours Minutes', IPPTAK_SLUG ),
              'y_m_d_h'      => __( 'Year Month Days Hours', IPPTAK_SLUG ),
              'y_m_d'        => __( 'Year Month Days', IPPTAK_SLUG ),
              'm_d_h'        => __( 'Month Days Hours', IPPTAK_SLUG ),
              'd_h_i_s'      => __( 'Days Hours Minutes Seconds', IPPTAK_SLUG ),
              'd_h_i'        => __( 'Days Hours Minutes', IPPTAK_SLUG ),
              'h_mi_s'       => __( 'Hours Minutes Seconds', IPPTAK_SLUG ),
              'w_d_h_i_s'    => __( 'Week Days Hours Minutes Seconds', IPPTAK_SLUG )
            );
            foreach( $formats as $skey => $label ) {
              $sltd = '';
              if ( $skey == $format ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-message ipptak-hide">
              <?php _e( 'Format of the date of the countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <h4 class="ipptak-field-title mb0 py10">
        <?php _e( 'Design', IPPTAK_SLUG ); ?>
      </h4>

      <?php
      //Font Family
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-font-family"><?php _e( 'Font Family', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'countdown_font_family', 'roboto' );
          $fonts   = IPPtak_Font::getOptions();
          $fname   = IPPtak_Font::getFontName( $current );
          ?>
          <span class="ipptak-font-family">
            <div class="ipptak-menu ipptak-fancy-option">
              <div class="ipptak-selected">
                <div class="ipptak-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="ipptak-select" style="display: none;">
                <div class="ipptak-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="ipptak-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="countdown_font_family" class="ipptak-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The font family of the text in your countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Background Color
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-bgcolor"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-onoff mr5">
              <?php
              $val = $this->setting->getSetting( 'countdown_bgcolor_on', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="countdown_bgcolor_on" value="<?php echo $val; ?>" />
          </div>

          <input type="text" class="ipptak-color-picker" id="input-countdown-bgcolor" name="countdown_bgcolor" value="<?php echo $this->setting->getSetting( 'countdown_bgcolor', '#333333' ); ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Background color of the countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Border
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-border-width"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-input-group mr5">
            <?php
            $bowidth = $this->setting->getSetting( 'countdown_border_width' );
            $bocolor = $this->setting->getSetting( 'countdown_border_color', '#222222' );
            ?>
            <input type="text" id="input-countdown-border-width" class="ipptak-input ipptak-input-xxs" name="countdown_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipptak-input-addon">px</div>
          </div>
          <input type="text" class="ipptak-color-picker" id="input-countdown-border-color" name="countdown_border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The border that surrounds the countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Border radius
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-countdown-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="countdown_border_radius" id="input-countdown-border-radius">
            <?php
            $current = $this->setting->getSetting( 'countdown_border_radius', 'none' );
            $styles  = array(
              'none' => __( 'None', IPPTAK_SLUG ),
              'sm'   => __( 'Small', IPPTAK_SLUG ),
              'md'   => __( 'Medium', IPPTAK_SLUG ),
              'lg'   => __( 'Large', IPPTAK_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The border radius of the countdown.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <h4 class="ipptak-field-title mb0 py10">
        <?php _e( 'Timer Design', IPPTAK_SLUG ); ?>
      </h4>

      <?php
      //Background Color
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-bgcolor"><?php _e( 'Timer Background Color', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <input type="text" class="ipptak-color-picker" id="input-timer-bgcolor" name="timer_bgcolor" value="<?php echo $this->setting->getSetting( 'timer_bgcolor', '#333333' ); ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Background color of the timer.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Color
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-color"><?php _e( 'Timer Color', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <input type="text" class="ipptak-color-picker" id="input-timer-color" name="timer_color" value="<?php echo $this->setting->getSetting( 'timer_color', '#ffffff' ); ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Text color of the timer.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Border radius
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <select name="timer_border_radius" id="input-timer-border-radius">
            <?php
            $current = $this->setting->getSetting( 'timer_border_radius', 'none' );
            $styles  = array(
              'none' => __( 'None', IPPTAK_SLUG ),
              'sm'   => __( 'Small', IPPTAK_SLUG ),
              'md'   => __( 'Medium', IPPTAK_SLUG ),
              'lg'   => __( 'Large', IPPTAK_SLUG )
            );
            foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The border radius of the timer.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Text Shadow
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-shadow"><?php _e( 'Text Shadow', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-onoff mr5">
              <?php
              $val = $this->setting->getSetting( 'timer_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="timer_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set shadow to the timer text.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>



      <?php
      /*
       * Flip Effect
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-flip"><?php _e( 'Flip Effect', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'timer_flip', 'true' ) );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="timer_flip" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether use the flip effect for the timer.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <h4 class="ipptak-field-title mb0 py10">
        <?php _e( 'Label Design', IPPTAK_SLUG ); ?>
      </h4>

      <?php
      //Color
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-label-color"><?php _e( 'Color', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <input type="text" class="ipptak-color-picker" id="input-timer-label-color" name="timer_label_color" value="<?php echo $this->setting->getSetting( 'timer_label_color', '#666666' ); ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The color of the timer label.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      //Color
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-timer-label-position"><?php _e( 'Position', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $current = $this->setting->getSetting( 'timer_label_position', 'bottom' );
          $options = array(
              'top'    => __( 'Top', IPPTAK_SLUG ),
              'bottom' => __( 'Bottom', IPPTAK_SLUG )
          );
          ?>
          <select name="timer_label_position" id="input-timer-label-position">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The position of the timer label.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
