<?php
/**
 * Admin content effect view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-effect" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-magic"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Effect', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Set the effect when the box to appear/hide.', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      //Show Delay
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-md-3 col-sm-12">
          <label for="input-show-delay"><?php _e( 'Show Delay', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-md-9 col-sm-12">

          <?php
          $delay = $this->setting->getSetting( 'show_delay' );
          ?>
          <div class="ipptak-input-group mr5">
              <input type="text" id="input-delay" class="ipptak-input ipptak-input-xs" name="show_delay" value="<?php echo $delay; ?>">
              <div class="ipptak-input-addon">second</div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The delay time when the bar first appear.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Show Effect
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-md-3 col-sm-12">
          <label for="input-show-effect"><?php _e( 'Show Animation', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-md-9 col-sm-12">

          <select name="show_effect" id="input-show-effect">
            <?php
            $current = $this->setting->getSetting( 'show_effect', 'none' );
            $effects = array(
              'none'      => __( 'None', IPPTAK_SLUG ),
              'linear'    => __( 'Linear', IPPTAK_SLUG ),
              'bounce'    => __( 'Bounce', IPPTAK_SLUG ),
              'back'      => __( 'Back', IPPTAK_SLUG ),
              'elastic'   => __( 'Elastic', IPPTAK_SLUG ),
              'expo'      => __( 'Expo', IPPTAK_SLUG )
            );
            foreach( $effects as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The type of effect that is executed when the widget is displayed.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Show effect speed
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-effect-speed"><?php _e( 'Show Animation Speed', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'show_effect_speed', 500 );
          ?>
          <div class="ipptak-input-group mr5">
              <input type="text" id="input-show-effect-speed" class="ipptak-input ipptak-input-xs" name="show_effect_speed" value="<?php echo $speed; ?>">
              <div class="ipptak-input-addon">second</div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The speed (in second) of effect that is executed when the widget is displayed.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Hide Effect
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-md-3 col-sm-12">
          <label for="input-hide-effect"><?php _e( 'Hide Animation', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-md-9 col-sm-12">

          <select name="hide_effect" id="input-hide-effect">
            <?php
            $current = $this->setting->getSetting( 'hide_effect', 'none' );
            $effects = array(
              'none'      => __( 'None', IPPTAK_SLUG ),
              'linear'    => __( 'Linear', IPPTAK_SLUG ),
              'bounce'    => __( 'Bounce', IPPTAK_SLUG ),
              'back'      => __( 'Back', IPPTAK_SLUG ),
              'elastic'   => __( 'Elastic', IPPTAK_SLUG ),
              'expo'      => __( 'Expo', IPPTAK_SLUG )
            );
            foreach( $effects as $key => $label )
            {
              $sltd = '';
              if ( $current == $key ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The type of effect that is executed when the widget is hidden.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Hide effect speed
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-hide-effect-speed"><?php _e( 'Hide Animation Speed', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $speed = $this->setting->getSetting( 'hide_effect_speed', 500 );
          ?>
          <div class="ipptak-input-group mr5">
              <input type="text" id="input-hide-effect-speed" class="ipptak-input ipptak-input-xs" name="hide_effect_speed" value="<?php echo $speed; ?>">
              <div class="ipptak-input-addon">second</div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The speed (in second) of effect that is executed when the widget is hidden.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Show Audio
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-md-3 col-sm-12">
          <label for="input-show-audio"><?php _e( 'Show Audio', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-md-9 col-sm-12">

          <select id="input-show-audio" class="ipptak-input" name="show_audio">
            <option value="0"> <?php _e( 'No Audio', IPPTAK_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'content_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The sound effect when the widget is displayed.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Hide Audio
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-md-3 col-sm-12">
          <label for="input-hide-audio"><?php _e( 'Hide Audio', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-md-9 col-sm-12">

          <select id="input-hide-audio" class="ipptak-input" name="hide_audio">
            <option value="0"> <?php _e( 'No Audio', IPPTAK_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'hide_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The sound effect when the widget is hidden.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
