<?php
/**
 * Manage box style view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-section-style" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-cogs"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Style', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Set the style of the box', IPPTAK_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Style
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-style"><?php _e( 'Style', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $this->setting->getSetting( 'style' );
          $options = array(
              1 => __( 'Style #1', IPPTAK_SLUG ),
              2 => __( 'Style #2', IPPTAK_SLUG ),
              3 => __( 'Style #3', IPPTAK_SLUG ),
              4 => __( 'Style #4', IPPTAK_SLUG ),
              5 => __( 'Style #5', IPPTAK_SLUG )
          );
          ?>
          <select name="style" id="input-style">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set the style of the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      */
      ?>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-color"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'background_color', '#444444' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-background-color" name="background_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add background color for the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background Image
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-image"><?php _e( 'Background Image', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-upload-image ipptak-clear">
              <div class="ipptak-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipptak-hide">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipptak-image-field">
                  <div class="ipptak-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPPTAK_SLUG ); ?></p>
                      <a class="ipptak-btn ipptak-btn-secondary ipptak-btn-media ipptak-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPPTAK_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPPTAK_SLUG ); ?>">
                          <i class="ipptak-fa ipptak-fa-image"></i>
                          <?php _e( 'Select Photo', IPPTAK_SLUG ); ?>
                      </a>
                      <a class="ipptak-btn ipptak-btn-reset ipptak-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipptak-fa ipptak-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPPTAK_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipptak-upload-type" value="background_image" />
                  <input type="hidden" name="background_image" class="ipptak-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The background image in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background repeat
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-repeat"><?php _e( 'Background Repeat', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $this->setting->getSetting( 'background_repeat' );
          $options = array(
              'no-repeat'   => __( 'No Repeat', IPPTAK_SLUG ),
              'repeat-x'    => __( 'Repeat Horizontally', IPPTAK_SLUG ),
              'repeat-y'    => __( 'Repeat Vertically', IPPTAK_SLUG ),
              'repeat'      => __( 'Repeat All', IPPTAK_SLUG ),
          );
          ?>
          <select name="background_repeat" id="input-background-repeat">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The alignment logo/title in main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background opacity
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-opacity"><?php _e( 'Background Opacity', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $this->setting->getSetting( 'background_opacity' );
          $options = array(
              0    => __( 'None', IPPTAK_SLUG ),
              10   => __( '10%', IPPTAK_SLUG ),
              20   => __( '20%', IPPTAK_SLUG ),
              30   => __( '30%', IPPTAK_SLUG ),
              40   => __( '40%', IPPTAK_SLUG ),
              50   => __( '50%', IPPTAK_SLUG ),
              60   => __( '60%', IPPTAK_SLUG ),
              70   => __( '70%', IPPTAK_SLUG ),
              80   => __( '80%', IPPTAK_SLUG ),
              90   => __( '90%', IPPTAK_SLUG ),
          );
          ?>
          <select name="background_opacity" id="input-background-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Make transparency for the background image.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-border-width"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'border_color', '#111111' ) );
          $bowidth = $this->setting->getSetting( 'border_width', 0 );
          ?>
          <div class="ipptak-input-group mr5">
            <input type="text" id="input-border-width" class="ipptak-input ipptak-input-xxs" name="border_width" value="<?php echo $bowidth; ?>">
            <div class="ipptak-input-addon">px</div>
          </div>
          <input type="text" class="ipptak-color-picker" id="input-border-color" name="border_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add border for the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

            <select name="border_radius" id="input-border-radius">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'border_radius', 'none' ));
            $styles  = array(
                'none' => __( 'None', IPPTAK_SLUG ),
                'xs'   => __( 'Extra Small', IPPTAK_SLUG ),
                'sm'   => __( 'Small', IPPTAK_SLUG ),
                'md'   => __( 'Medium', IPPTAK_SLUG ),
                'lg'   => __( 'Large', IPPTAK_SLUG )
            );
            foreach( $styles as $key => $label ) {
                $sltd = '';
                if ( $key == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
            </select>

            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Add radius in the box.', IPPTAK_SLUG ); ?>
              </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-text-color"><?php _e( 'Text Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'text_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-text-color" name="text_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set text color for the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Font Family
      ?>
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-font-family"><?php _e( 'Font Family', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'font_family', 'roboto' );
          $fonts   = IPPtak_Font::getOptions();
          $fname   = IPPtak_Font::getFontName( $current );
          ?>
          <span class="ipptak-font-family">
            <div class="ipptak-menu ipptak-fancy-option">
              <div class="ipptak-selected">
                <div class="ipptak-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="ipptak-select" style="display: none;">
                <div class="ipptak-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="ipptak-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="font_family" class="ipptak-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The font family of the text in your box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>

      <?php
      /*
       * Padding
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-padding"><?php _e( 'Padding', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $padding = absint( $this->setting->getSetting( 'padding', '20' ) );
          ?>
          <div class="ipptak-input-group mr5">
            <input type="text" id="input-padding" class="ipptak-input ipptak-input-xxs" name="padding" value="<?php echo $padding; ?>">
            <div class="ipptak-input-addon">px</div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set padding for the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-shadow"><?php _e( 'Shadow', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val  = $this->setting->getSetting( 'shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether to add a shadow effect on the box.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <h4 class="ipptak-field-title mb0 py10">
        <?php _e( 'Close Button', IPPTAK_SLUG ); ?>
      </h4>

      <?php
      /*
       * Close Button
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-button"><?php _e( 'Show Close Button', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'close_button', 'true' ) );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'Show', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Hide', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="close_button" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether displaying close button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-bgcolor"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'close_bgcolor', '#444444' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-close-bgcolor" name="close_bgcolor" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add background color for the close button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-border-width"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color   = stripslashes( $this->setting->getSetting( 'close_border_color', '#111111' ) );
          $bowidth = $this->setting->getSetting( 'close_border_width', 0 );
          ?>
          <div class="ipptak-input-group mr5">
            <input type="text" id="input-close-border-width" class="ipptak-input ipptak-input-xxs" name="close_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipptak-input-addon">px</div>
          </div>
          <input type="text" class="ipptak-color-picker" id="input-close-border-color" name="close_border_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add border for the close button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-close-color"><?php _e( 'Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'close_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-close-color" name="close_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Set color for the close button.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->

  </div>
</div>
