<?php
/**
 * Admin header view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$pageDash    = IPPTAK_PAGENAME;
$pageBox     = IPPTAK_PAGENAME . '-box';
$pagePage    = IPPTAK_PAGENAME . '-page';
$pageSetting = IPPTAK_PAGENAME . '-setting';
$page        = $this->pageId;
$struct = array(
     $pageDash => array(
         'title'     => __( 'My Bars', IPPTAK_SLUG ),
         'info'      => __( 'Manage all bars', IPPTAK_SLUG ),
         'icon'      => 'editor-kitchensink'
     ),
     $pageBox => array(
         'title'     => __( 'My Boxes', IPPTAK_SLUG ),
         'info'      => __( 'Manage all boxes', IPPTAK_SLUG ),
         'icon'      => 'grid-view'
     ),
     $pagePage => array(
         'title'     => __( 'My Pages', IPPTAK_SLUG ),
         'info'      => __( 'Manage all promotion pages', IPPTAK_SLUG ),
         'icon'      => 'pressthis'
     ),
     $pageSetting => array(
         'title'     => __( 'Settings', IPPTAK_SLUG ),
         'info'      => __( 'Manage plugin settings', IPPTAK_SLUG ),
         'icon'      => 'admin-generic'
     )
 );
?>
<div class="ipptak-top">
    <div class="ipptak-header">
        <div class="ipptak-page-title">
            <h1>
                <i class="dashicons-before dashicons-admin-page"></i>
                <span>
                    <?php
                    $title = IPPTAK_TITLE;
                    $words = explode( ' ', $title );
                    $first = array_shift( $words );
                    $title = implode( ' ', $words );
                    ?>
                    <strong><span><?php echo $first; ?></span> <?php echo $title; ?></strong>
                    <em> <?php echo IPPTAK_DESC; ?></em>
                </span>
            </h1>
        </div>
    </div>
    <div class="ipptak-nav">
        <ul>
        <?php
        $title = isset( $this->title ) ? $this->title : '';
        $info  = isset( $this->info ) ? $this->info : '';
        $icon  = isset( $this->icon ) ? $this->icon : '';
        if ( array_key_exists( $page, $struct ))
        {
            if ( empty( $title )) {
                $title = $struct[$page]['title'];
            }
            if ( empty( $info )) {
                $info  = $struct[$page]['info'];
            }
            if ( empty( $icon )) {
                $icon  = $struct[$page]['icon'];
            }
        }
        foreach( $struct as $name => $data )
        {
            $active = '';
            if ( $page == $name ) {
                $active = ' class="active"';
            }
            echo '<li' . $active . '>' .
                    '<a href="admin.php?page=' . $name . '">' .
                        '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                        $data['title'] .
                    '</a>' .
                '</li>';
        }
        ?>
        </ul>
    </div>
    <div class="ipptak-page-info">
        <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
        <div class="ipptak-info">
            <h3><?php echo $title; ?></h3>
            <h4><?php echo $info; ?></h4>
        </div>
    </div>
</div>
