<?php
/**
 * Admin manage product info of review page
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipptak-section-footer" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-long-arrow-down"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Footer', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Manage content and style of the footer section', IPPTAK_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Footer text
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-text"><?php _e( 'Footer Text', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $text = $setting->getSetting( 'footer_text' );
          ?>
          <textarea id="input-footer-text" class="ipptak-input ipptak-input-full" name="footer_text"><?php echo $text; ?></textarea>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The footer text for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Footer Style
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-style"><?php _e( 'Footer Style', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'footer_style' );
          $options = array(
              1 => __( 'Style #1', IPPTAK_SLUG ),
              2 => __( 'Style #2', IPPTAK_SLUG ),
              3 => __( 'Style #3', IPPTAK_SLUG ),
              4 => __( 'Style #4', IPPTAK_SLUG ),
          );
          ?>
          <select name="footer_style" id="ipptak-input-page-footer-style">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The footer style for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->



      <?php
      //Font Family
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-footer-font-family"><?php _e( 'Font Family', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $current = $this->setting->getSetting( 'footer_font_family', 'roboto' );
              $fonts   = IPPtak_Font::getOptions();
              $fname   = IPPtak_Font::getFontName( $current );
              ?>
              <span class="ipptak-font-family">
                  <div class="ipptak-menu ipptak-fancy-option">
                      <div class="ipptak-selected">
                          <div class="ipptak-selected-box">
                              <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                          </div>
                          <span class="toggle"></span>
                      </div>
                      <div class="ipptak-select" style="display: none;">
                          <div class="ipptak-select-content">
                              <ul class="clearfix">
                                  <?php
                                  foreach( $fonts as $fkey => $label ) :
                                  ?>
                                      <li data-select="<?php echo $fkey; ?>">
                                          <strong class="ipptak-select-label">
                                              <?php echo $label; ?>
                                          </strong>
                                      </li>
                                  <?php
                                  endforeach;
                                  ?>
                              </ul>
                          </div>
                      </div>
                      <input type="hidden" name="footer_font_family" class="ipptak-input-select" value="<?php echo $current; ?>" />
                  </div>
              </span>

              <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                      <?php _e( 'The font family of the footer section.', IPPTAK_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-color"><?php _e( 'Text Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'footer_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-footer-color" name="footer_color" value="<?php echo $color; ?>" />


          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Text color in the footer section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Text Aligment
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-alignment"><?php _e( 'Text Aligment', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'footer_alignment' );
          $options = array(
              'left'   => __( 'Left', IPPTAK_SLUG ),
              'center' => __( 'Center', IPPTAK_SLUG ),
              'right'  => __( 'Right', IPPTAK_SLUG ),
          );
          ?>
          <select name="footer_alignment" id="input-footer-alignment">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The text alignment in footer section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <!-- start: .ipptak-fields-footer-design -->
      <div class="ipptak-fields-footer-design" style="display:none;">
        <?php
        /*
         * Background Color
         */
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-footer-background-color"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
          </div>

          <!-- start: .ipptak-field -->
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'footer_background_color', '#ffffff' ) );
            ?>
            <input type="text" class="ipptak-color-picker" id="input-footer-background-color" name="footer_background_color" value="<?php echo $color; ?>" />


            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
              <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Add background color in the footer section.', IPPTAK_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipptak-field -->
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        /*
         * Border
         */
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-footer-border"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
          </div>

          <!-- start: .ipptak-field -->
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $bowidth = $this->setting->getSetting( 'footer_border_width', 0 );
            $bocolor = stripslashes( $this->setting->getSetting( 'footer_border_color', '#222222' ));
            ?>
            <div class="ipptak-input-group mr5">
              <input type="text" id="input-footer-border-width" class="ipptak-input ipptak-input-xxs" name="footer_border_width" value="<?php echo $bowidth; ?>">
              <div class="ipptak-input-addon">px</div>
            </div>
            <input type="text" class="ipptak-color-picker" id="input-footer-border-color" name="footer_border_color" value="<?php echo $bocolor; ?>" />

            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
              <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Add border in the footer section.', IPPTAK_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipptak-field -->
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        //Border radius
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
            <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-footer-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
            </div>
            <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                <select name="footer_border_radius" id="input-footer-border-radius">
                <?php
                $current = stripslashes( $this->setting->getSetting( 'footer_border_radius', 'none' ));
                $styles  = array(
                    'none' => __( 'None', IPPTAK_SLUG ),
                    'xs'   => __( 'Extra Small', IPPTAK_SLUG ),
                    'sm'   => __( 'Small', IPPTAK_SLUG ),
                    'md'   => __( 'Medium', IPPTAK_SLUG ),
                    'lg'   => __( 'Large', IPPTAK_SLUG )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>

                <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                    <div class="ipptak-help-content ipptak-hide">
                    <?php _e( 'Add radius in the footer section.', IPPTAK_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        //Padding Top
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
            <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-footer-padding-top"><?php _e( 'Padding Top', IPPTAK_SLUG ); ?></label>
            </div>
            <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                <?php
                $padding = $this->setting->getSetting( 'footer_padding_top' );
                ?>
                <div class="ipptak-input-group mr5">
                    <input type="text" id="input-footer-padding-top" class="ipptak-input ipptak-input-xs" name="footer_padding_top" value="<?php echo $padding; ?>">
                    <div class="ipptak-input-addon">px</div>
                </div>

                <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                    <div class="ipptak-help-content ipptak-hide">
                    <?php _e( 'Padding top for the footer section (in px).', IPPTAK_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        //Padding Bottom
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
            <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-footer-padding-bottom"><?php _e( 'Padding Bottom', IPPTAK_SLUG ); ?></label>
            </div>
            <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                <?php
                $padding = $this->setting->getSetting( 'footer_padding_bottom' );
                ?>
                <div class="ipptak-input-group mr5">
                    <input type="text" id="input-footer-padding-bottom" class="ipptak-input ipptak-input-xs" name="footer_padding_bottom" value="<?php echo $padding; ?>">
                    <div class="ipptak-input-addon">px</div>
                </div>

                <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                    <div class="ipptak-help-content ipptak-hide">
                    <?php _e( 'Padding bottom for the footer section (in px).', IPPTAK_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipptak-field-row -->

      </div>
      <!-- start: .ipptak-fields-footer-design -->

    </div>
    <!-- end: .ipptak-fields -->
  </div>
</div>
