<?php
/**
 * Admin manage product info of review page
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipptak-section-header" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-header"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Header', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Manage content and style of the header section', IPPTAK_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <?php
      /*
       * Header Title
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-title"><?php _e( 'Header Title', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'header_title' );
          ?>
          <input type="text" id="input-header-title" class="ipptak-input ipptak-input-full" name="header_title" value="<?php echo $title; ?>">

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The header title for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Header Logo
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-logo"><?php _e( 'Header Logo', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-upload-image ipptak-clear">
              <div class="ipptak-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'header_logo' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipptak-hide">' . __( 'No logo', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No logo', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipptak-image-field">
                  <div class="ipptak-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPPTAK_SLUG ); ?></p>
                      <a class="ipptak-btn ipptak-btn-secondary ipptak-btn-media ipptak-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPPTAK_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose logo', IPPTAK_SLUG ); ?>">
                          <i class="ipptak-fa ipptak-fa-image"></i>
                          <?php _e( 'Select Logo', IPPTAK_SLUG ); ?>
                      </a>
                      <a class="ipptak-btn ipptak-btn-reset ipptak-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipptak-fa ipptak-fa-ban"></i>
                          <?php _e( 'Clear Logo', IPPTAK_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipptak-upload-type" value="header_logo" />
                  <input type="hidden" name="header_logo" class="ipptak-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The header logo for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Logo/Title Aligment
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-alignment"><?php _e( 'Logo/Title Aligment', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'header_alignment' );
          $options = array(
              'left'   => __( 'Left', IPPTAK_SLUG ),
              'center' => __( 'Center', IPPTAK_SLUG ),
              'right'  => __( 'Right', IPPTAK_SLUG ),
          );
          ?>
          <select name="header_alignment" id="input-header-alignment">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The alignment of the logo/title in the header section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Header Style
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-style"><?php _e( 'Header Style', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'header_style' );
          $options = array(
              1 => __( 'Style #1', IPPTAK_SLUG ),
              2 => __( 'Style #2', IPPTAK_SLUG ),
              3 => __( 'Style #3', IPPTAK_SLUG ),
              4 => __( 'Style #4', IPPTAK_SLUG ),
          );
          ?>
          <select name="header_style" id="ipptak-input-page-header-style">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The header style for the review page.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->



      <?php
      //Padding Top
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-padding-top"><?php _e( 'Padding Top', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'header_padding_top' );
              ?>
              <div class="ipptak-input-group mr5">
                  <input type="text" id="input-header-padding-top" class="ipptak-input ipptak-input-xs" name="header_padding_top" value="<?php echo $padding; ?>">
                  <div class="ipptak-input-addon">px</div>
              </div>

              <div class="ipptak-help">
                <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                  <?php _e( 'Padding top for the header section (in px).', IPPTAK_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Padding Bottom
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-padding-bottom"><?php _e( 'Padding Bottom', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'header_padding_bottom' );
              ?>
              <div class="ipptak-input-group mr5">
                  <input type="text" id="input-header-padding-bottom" class="ipptak-input ipptak-input-xs" name="header_padding_bottom" value="<?php echo $padding; ?>">
                  <div class="ipptak-input-addon">px</div>
              </div>

              <div class="ipptak-help">
                <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                  <?php _e( 'Padding bottom for the header section (in px).', IPPTAK_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-color"><?php _e( 'Text Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'header_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-header-color" name="header_color" value="<?php echo $color; ?>" />


          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Text color in the header section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-font-family"><?php _e( 'Font Family', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $current = $this->setting->getSetting( 'header_font_family', 'roboto' );
              $fonts   = IPPtak_Font::getOptions();
              $fname   = IPPtak_Font::getFontName( $current );
              ?>
              <span class="ipptak-font-family">
                  <div class="ipptak-menu ipptak-fancy-option">
                      <div class="ipptak-selected">
                          <div class="ipptak-selected-box">
                              <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                          </div>
                          <span class="toggle"></span>
                      </div>
                      <div class="ipptak-select" style="display: none;">
                          <div class="ipptak-select-content">
                              <ul class="clearfix">
                                  <?php
                                  foreach( $fonts as $fkey => $label ) :
                                  ?>
                                      <li data-select="<?php echo $fkey; ?>">
                                          <strong class="ipptak-select-label">
                                              <?php echo $label; ?>
                                          </strong>
                                      </li>
                                  <?php
                                  endforeach;
                                  ?>
                              </ul>
                          </div>
                      </div>
                      <input type="hidden" name="header_font_family" class="ipptak-input-select" value="<?php echo $current; ?>" />
                  </div>
              </span>

              <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                      <?php _e( 'The font family of the header section.', IPPTAK_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <!-- start: .ipptak-fields-header-design -->
      <div class="ipptak-fields-header-design" style="display:none;">
        <?php
        /*
         * Background Color
         */
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-header-background-color"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
          </div>

          <!-- start: .ipptak-field -->
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $color = stripslashes( $this->setting->getSetting( 'header_background_color', '#ffffff' ) );
            ?>
            <input type="text" class="ipptak-color-picker" id="input-header-background-color" name="header_background_color" value="<?php echo $color; ?>" />


            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
              <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Add background color in the header section.', IPPTAK_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipptak-field -->
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        /*
         * Border
         */
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-header-border"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
          </div>

          <!-- start: .ipptak-field -->
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $bowidth = $this->setting->getSetting( 'header_border_width', 0 );
            $bocolor = stripslashes( $this->setting->getSetting( 'header_border_color', '#222222' ));
            ?>
            <div class="ipptak-input-group mr5">
              <input type="text" id="input-header-border-width" class="ipptak-input ipptak-input-xxs" name="header_border_width" value="<?php echo $bowidth; ?>">
              <div class="ipptak-input-addon">px</div>
            </div>
            <input type="text" class="ipptak-color-picker" id="input-header-border-color" name="header_border_color" value="<?php echo $bocolor; ?>" />

            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
              <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Add border in the header section.', IPPTAK_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipptak-field -->
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        //Border radius
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
            <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-header-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
            </div>
            <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                <select name="header_border_radius" id="input-header-border-radius">
                <?php
                $current = stripslashes( $this->setting->getSetting( 'header_border_radius', 'none' ));
                $styles  = array(
                    'none' => __( 'None', IPPTAK_SLUG ),
                    'xs'   => __( 'Extra Small', IPPTAK_SLUG ),
                    'sm'   => __( 'Small', IPPTAK_SLUG ),
                    'md'   => __( 'Medium', IPPTAK_SLUG ),
                    'lg'   => __( 'Large', IPPTAK_SLUG )
                );
                foreach( $styles as $key => $label ) {
                    $sltd = '';
                    if ( $key == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
                </select>

                <div class="ipptak-help">
                  <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                    <div class="ipptak-help-content ipptak-hide">
                    <?php _e( 'Add radius in the header section.', IPPTAK_SLUG ); ?>
                  </div>
              </div>
            </div>
        </div>
        <!-- end: .ipptak-field-row -->

        <?php
        /*
         * Shadow
         */
        ?>
        <!-- start: .ipptak-field-row -->
        <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-header-shadow"><?php _e( 'Shadow', IPPTAK_SLUG ); ?></label>
          </div>

          <!-- start: .ipptak-field -->
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
            <div class="ipptak-onoff">
                <?php
                $val  = $this->setting->getSetting( 'header_shadow', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' active';
                } else {
                    $clon  = ' active';
                    $cloff = '';
                }
                ?>
                <div class="ipptak-btn-group">
                  <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                  <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
                </div>
                <input type="hidden" class="ipptak-onoff-value" name="header_shadow" value="<?php echo $val; ?>" />
            </div>

            <div class="ipptak-help">
              <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
              <div class="ipptak-help-content ipptak-hide">
                <?php _e( 'Define whether to apply a shadow effect on the header or not.', IPPTAK_SLUG ); ?>
              </div>
            </div>
          </div>
          <!-- end: .ipptak-field -->
        </div>
        <!-- end: .ipptak-field-row -->

      </div>
      <!-- end: .ipptak-fields-header-design -->

    </div>
    <!-- end: .ipptak-fields -->
  </div>
</div>
