<?php
/**
 * Admin manage seo content of survey page
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipptak-section-style" class="ipptak-tab-content">
  <div class="ipptak-tab-inner">

    <div class="ipptak-title-content ipptak-hide">
      <i class="ipptak-fa ipptak-fa-paint-brush"></i>
      <div class="ipptak-title-text">
        <h3><?php _e( 'Main Style', IPPTAK_SLUG ); ?></h3>
        <p><?php _e( 'Manage styles for the main content', IPPTAK_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipptak-fields -->
    <div class="ipptak-fields">

      <h3 class="ipptak-field-title">
        <?php _e( 'Body Styles', IPPTAK_SLUG ); ?>
      </h3>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-color"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-background-color" name="background_color" value="<?php echo $color; ?>" />


          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add background color in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-image"><?php _e( 'Background Image', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipptak-upload-image ipptak-clear">
              <div class="ipptak-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipptak-hide">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPPTAK_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipptak-image-field">
                  <div class="ipptak-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPPTAK_SLUG ); ?></p>
                      <a class="ipptak-btn ipptak-btn-secondary ipptak-btn-media ipptak-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPPTAK_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPPTAK_SLUG ); ?>">
                          <i class="ipptak-fa ipptak-fa-image"></i>
                          <?php _e( 'Select Photo', IPPTAK_SLUG ); ?>
                      </a>
                      <a class="ipptak-btn ipptak-btn-reset ipptak-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipptak-fa ipptak-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPPTAK_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipptak-upload-type" value="background_image" />
                  <input type="hidden" name="background_image" class="ipptak-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The background image in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background repeat
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-repeat"><?php _e( 'Background Repeat', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'background_repeat' );
          $options = array(
              'no-repeat'   => __( 'No Repeat', IPPTAK_SLUG ),
              'repeat-x'    => __( 'Repeat Horizontally', IPPTAK_SLUG ),
              'repeat-y'    => __( 'Repeat Vertically', IPPTAK_SLUG ),
              'repeat'      => __( 'Repeat All', IPPTAK_SLUG ),
          );
          ?>
          <select name="background_repeat" id="input-background-repeat">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The alignment logo/title in main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Background opacity
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x ipptak-help-abs">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-opacity"><?php _e( 'Background Opacity', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $opacity = $setting->getSetting( 'background_opacity' );
          $options = array(
              0    => __( 'None', IPPTAK_SLUG ),
              10   => __( '10%', IPPTAK_SLUG ),
              20   => __( '20%', IPPTAK_SLUG ),
              30   => __( '30%', IPPTAK_SLUG ),
              40   => __( '40%', IPPTAK_SLUG ),
              50   => __( '50%', IPPTAK_SLUG ),
              60   => __( '60%', IPPTAK_SLUG ),
              70   => __( '70%', IPPTAK_SLUG ),
              80   => __( '80%', IPPTAK_SLUG ),
              90   => __( '90%', IPPTAK_SLUG ),
          );
          ?>
          <select name="background_opacity" id="input-background-opacity">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $opacity ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Make transparency for the background image.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <h3 class="ipptak-field-title">
        <?php _e( 'Main Content Styles', IPPTAK_SLUG ); ?>
      </h3>

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-background-color"><?php _e( 'Background Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_background_color', '#f9f9f9' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-main-background-color" name="main_background_color" value="<?php echo $color; ?>" />


          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The background color in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-text-color"><?php _e( 'Text Color', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_text_color', '#333333' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-main-text-color" name="main_text_color" value="<?php echo $color; ?>" />


          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The color for text in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Link Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-link-color">
            <?php _e( 'Link Color', IPPTAK_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_link_color', '#222222' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-main-link-color" name="main_link_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The color for links in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Link Hover Color
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-link-hover-color">
            <?php _e( 'Link Hover Color', IPPTAK_SLUG ); ?>
          </label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'main_link_hover_color', '#222222' ) );
          ?>
          <input type="text" class="ipptak-color-picker" id="input-main-link-hover-color" name="main_link_hover_color" value="<?php echo $color; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The color for links in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Padding
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-main-padding"><?php _e( 'Padding', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'main_padding' );
              ?>
              <div class="ipptak-input-group mr5">
                  <input type="text" id="input-main-padding" class="ipptak-input ipptak-input-xs" name="main_padding" value="<?php echo $padding; ?>">
                  <div class="ipptak-input-addon">px</div>
              </div>

              <div class="ipptak-help">
                <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                  <?php _e( 'Padding for the main content section (in px).', IPPTAK_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-border"><?php _e( 'Border', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'main_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'main_border_color', '#222222' ));
          ?>
          <div class="ipptak-input-group mr5">
            <input type="text" id="input-main-border-width" class="ipptak-input ipptak-input-xxs" name="main_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipptak-input-addon">px</div>
          </div>
          <input type="text" class="ipptak-color-picker" id="input-main-border-color" name="main_border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Add border in the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
          <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-main-border-radius"><?php _e( 'Border Radius', IPPTAK_SLUG ); ?></label>
          </div>
          <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

              <select name="main_border_radius" id="input-main-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'main_border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPPTAK_SLUG ),
                  'xs'   => __( 'Extra Small', IPPTAK_SLUG ),
                  'sm'   => __( 'Small', IPPTAK_SLUG ),
                  'md'   => __( 'Medium', IPPTAK_SLUG ),
                  'lg'   => __( 'Large', IPPTAK_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipptak-help">
                <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
                  <div class="ipptak-help-content ipptak-hide">
                  <?php _e( 'Add radius in the main section.', IPPTAK_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-font-family"><?php _e( 'Font Family', IPPTAK_SLUG ); ?></label>
        </div>
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $current = $this->setting->getSetting( 'main_font_family', 'roboto' );
          $fonts   = IPPtak_Font::getOptions();
          $fname   = IPPtak_Font::getFontName( $current );
          ?>
          <span class="ipptak-font-family">
            <div class="ipptak-menu ipptak-fancy-option">
              <div class="ipptak-selected">
                <div class="ipptak-selected-box">
                  <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                </div>
                <span class="toggle"></span>
              </div>
              <div class="ipptak-select" style="display: none;">
                <div class="ipptak-select-content">
                  <ul class="clearfix">
                    <?php
                    foreach( $fonts as $fkey => $label ) :
                    ?>
                    <li data-select="<?php echo $fkey; ?>">
                      <strong class="ipptak-select-label">
                        <?php echo $label; ?>
                      </strong>
                    </li>
                    <?php
                    endforeach;
                    ?>
                  </ul>
                </div>
              </div>
              <input type="hidden" name="main_font_family" class="ipptak-input-select" value="<?php echo $current; ?>" />
            </div>
          </span>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'The font family of the main section.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .ipptak-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .ipptak-field-row -->
      <div class="ipptak-field-row ipptak-field-x">
        <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-main-shadow"><?php _e( 'Shadow', IPPTAK_SLUG ); ?></label>
        </div>

        <!-- start: .ipptak-field -->
        <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipptak-onoff">
              <?php
              $val  = $this->setting->getSetting( 'main_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipptak-btn-group">
                <button data-value="true" class="ipptak-btn-onoff<?php echo $clon; ?> ipptak-btn-on" type="button"><?php _e( 'On', IPPTAK_SLUG ); ?></button>
                <button data-value="false" class="ipptak-btn-onoff<?php echo $cloff; ?> ipptak-btn-off" type="button"><?php _e( 'Off', IPPTAK_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipptak-onoff-value" name="main_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="ipptak-help">
            <a class="ipptak-btn-help ipptak-btn ipptak-btn-default" href="#"><i class="ipptak-fa ipptak-fa-question"></i></a>
            <div class="ipptak-help-content ipptak-hide">
              <?php _e( 'Determines whether to add a shadow effect on the main content.', IPPTAK_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipptak-field -->
      </div>
      <!-- end: .ipptak-field-row -->

    </div>
    <!-- end: .ipptak-fields -->
  </div>
</div>
