<?php
/**
 * Admin setting view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipptak-setting" class="wrap ipptak-wrap ipptak-admin">
  <div class="ipptak-inner">

    <?php
    $this->view( 'admin/general/header' );
    ?>

    <div class="ipptak-main">
      <div class="ipptak-main-info"></div>

      <div class="ipptak-primary">
        <div class="ipptak-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipptak=1&action=setting';
          ?>
          <form id="ipptak-form-setting" class="ipptak-form-container ipptak-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

            <div class="container-fluid container">
              <div class="mb40">

                <h3 class="ipptak-field-title mb20 py10">
                  <?php _e( 'Permalink', IPPTAK_SLUG ); ?>
                </h3>
                <p><?php _e( 'Set the base path permalink for all your survey pages through the following input:', IPPTAK_SLUG ); ?></p>

                <!-- start: .fields -->
                <div class="fields">

                  <!-- start: .ipptak-field-row -->
                  <div class="ipptak-field-row ipptak-field-x">
                    <div class="ipptak-form-label col-lg-2 col-md-3 col-sm-4">
                      <label for="input-promo-base-path"><?php _e( 'Promo Page Base Path', IPPTAK_SLUG ); ?></label>
                    </div>
                    <div class="ipptak-field col-lg-6 col-md-8 col-sm-8">
                      <?php
                      $promoPath = get_option( '__ipptak_base_path', 'promo' );
                      ?>
                      <input type="text" id="input-promo-base-path" class="ipptak-input ipptak-input-full" name="promo_base_path" value="<?php echo $promoPath; ?>">
                    </div>
                  </div>
                  <!-- start: .ipptak-field-row -->
                </div>

              </div>
              <!-- end: .fields -->

              <h3 class="ipptak-field-title mb20 py10">
                <?php _e( 'General Widgets', IPPTAK_SLUG ); ?>
              </h3>
              <p><?php _e( 'Show widgets in all page. If it is determined that all of the settings of widget object in every page of the website will be ignored.', IPPTAK_SLUG ); ?></p>

              <!-- start: .fields -->
              <div class="fields">

                <?php
                /*
                 * Bar
                 */
                ?>
                <!-- start: .ipptak-field-row -->
                <div class="ipptak-field-row ipptak-field-x">
                  <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-general-bar"><?php _e( 'Bar', IPPTAK_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipptak-field -->
                  <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                    <select name="general_bar" id="input-general-bar">
                      <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipptak_general_bar' );
                      if ( ! empty( $this->bars ))
                      {
                        foreach( $this->bars as $bar )
                        {
                          $sltd = '';
                          if ( $bar->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $bar->ID . '"' . $sltd . '>' . $bar->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipptak-field -->
                </div>
                <!-- end: .ipptak-field-row -->

                <?php
                /*
                 * Box
                 */
                ?>
                <!-- start: .ipptak-field-row -->
                <div class="ipptak-field-row ipptak-field-x">
                  <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-general-box"><?php _e( 'Box', IPPTAK_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipptak-field -->
                  <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                    <select name="general_box" id="input-general-box">
                      <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipptak_general_box' );
                      if ( ! empty( $this->boxes ))
                      {
                        foreach( $this->boxes as $box )
                        {
                          $sltd = '';
                          if ( $box->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $box->ID . '"' . $sltd . '>' . $box->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipptak-field -->
                </div>
                <!-- end: .ipptak-field-row -->

              </div>
              <!-- end: .fields -->

              <h3 class="ipptak-field-title mb20 py10">
                <?php _e( 'Home Widgets', IPPTAK_SLUG ); ?>
              </h3>
              <p><?php _e( 'Set some options in bellow to show widgets in your homepage.', IPPTAK_SLUG ); ?></p>

              <!-- start: .fields -->
              <div class="fields">

                <?php
                /*
                 * Bar
                 */
                ?>
                <!-- start: .ipptak-field-row -->
                <div class="ipptak-field-row ipptak-field-x">
                  <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-home-bar"><?php _e( 'Bar', IPPTAK_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipptak-field -->
                  <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                    <select name="home_bar" id="input-home-bar">
                      <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipptak_home_bar' );
                      if ( ! empty( $this->bars ))
                      {
                        foreach( $this->bars as $bar )
                        {
                          $sltd = '';
                          if ( $bar->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $bar->ID . '"' . $sltd . '>' . $bar->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipptak-field -->
                </div>
                <!-- end: .ipptak-field-row -->

                <?php
                /*
                 * Box
                 */
                ?>
                <!-- start: .ipptak-field-row -->
                <div class="ipptak-field-row ipptak-field-x">
                  <div class="ipptak-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-home-box"><?php _e( 'Box', IPPTAK_SLUG ); ?></label>
                  </div>

                  <!-- start: .ipptak-field -->
                  <div class="ipptak-field col-lg-9 col-md-8 col-sm-12">

                    <select name="home_box" id="input-home-box">
                      <option value="0"><?php _e( 'None', IPPTAK_SLUG ); ?></option>
                      <?php
                      $current = get_option( '__ipptak_home_box' );
                      if ( ! empty( $this->boxes ))
                      {
                        foreach( $this->boxes as $box )
                        {
                          $sltd = '';
                          if ( $box->ID == $current ) {
                            $sltd = ' selected="selected"';
                          }
                          echo '<option value="' . $box->ID . '"' . $sltd . '>' . $box->post_title . '</option>';
                        }
                      }
                      ?>
                    </select>
                  </div>
                  <!-- end: .ipptak-field -->
                </div>
                <!-- end: .ipptak-field-row -->

              </div>
              <!-- end: .fields -->

              <div class="ipptak-form-footer">
                <div class="row">
                  <div class="col-md-6">
                    <div class="ipptak-bottom-submit">
                      <button type="submit" class="ipptak-form-submit ipptak-btn ipptak-btn-secondary ipptak-btn-lg" id="do-save-setting" name="save_setting">
                        <i class="ipptak-fa ipptak-fa-floppy-o"></i>
                        <strong><?php _e( 'Save Change', IPPTAK_SLUG ); ?></strong>
                      </button>
                    </div>
                  </div>
                  <div class="col-md-6">
                  </div>
                </div>

              </div>

            </div>
          </form>
        </div>
      </div>

    </div>

  </div>

</div>
