<?php
/**
 * Bar button view
 *
 * @package wp-page-takeover
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->barSetting;
if ( $setting->getSetting( 'countdown_activate', 'true' ) == 'false' ) {
  return true;
}
//Style options
$bgon     = $setting->getSetting( 'countdown_bgcolor_on', 'false' );
$bgcolor  = $setting->getSetting( 'countdown_bgcolor', '#222222' );
$bowidth  = $setting->getSetting( 'countdown_border_width' );
$bocolor  = $setting->getSetting( 'countdown_border_color', '#333333' );
$lblcolor = $setting->getSetting( 'timer_label_color', '#999999' );
$tmcolor  = $setting->getSetting( 'timer_color', '#ffffff' );
$tmbgc    = $setting->getSetting( 'timer_bgcolor', '#000000' );

//Font
$font_opt = $setting->getSetting( 'header_font_family', 'roboto' );
$family   = IPPtak_Font::getFamily( $font_opt );
?>
<style>
.ipptak-bar-<?php echo $this->bar->ID; ?> .ipptak-countdown-main {
  font-family: <?php echo $family; ?>;

  <?php
  if ( $bgon == 'true' )  {
    echo 'background-color:' . $bgcolor . ';';
  }

  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipptak-bar-<?php echo $this->bar->ID; ?> .ipptak-countdown-main .count {
  color: <?php echo $tmcolor; ?>;
  background-color: <?php echo $tmbgc; ?>;
}
.ipptak-bar-<?php echo $this->bar->ID; ?> .ipptak-countdown-main .label {
  color: <?php echo $lblcolor; ?>;
}
</style>

<?php
$rootClass = 'ipptak-countdown';

if ( $radius = $setting->getSetting( 'countdown_border_radius' )) {
  $rootClass .= ' ipptak-radius-' . $radius;
}
$rootClass .= ' ipptak-label-' . $setting->getSetting( 'timer_label_position', 'bottom' );

//Flip class
if ( $setting->getSetting( 'timer_flip', 'true' ) == 'true' ) {
  $rootClass .= ' ipptak-countdown-flip';
} else {
  $rootClass .= ' ipptak-countdown-basic';
}
if ( $bgon == 'true' || ! empty( $bowidth ) ) {
  $rootClass .= ' ipptak-padding-on'; 
}

//timer
$timerClass = 'ipptak-countdown-main';
if ( $setting->getSetting( 'timer_shadow', 'false' ) == 'true' ) {
  $timerClass .= ' ipptak-shadow-on';
} else {
  $timerClass .= ' ipptak-shadow-off';
}
if ( $radius = $setting->getSetting( 'timer_border_radius' )) {
  $timerClass .= ' ipptak-radius-' . $radius;
}
?>
<div class="<?php echo $rootClass; ?>">
  <div class="ipptak-countdown-inner">
    <div class="<?php echo $timerClass; ?>">
      <?php
      //
      //Get time
      $dtime = 0;
      $date  =  $setting->getSetting( 'countdown_target_date' );
      $time  =  $setting->getSetting( 'countdown_target_time' );
      if ( $date && $time ) {
          $dtime = $date . ' ' . $time . ':00';
      }
      //
      //Get setting
      $format = $this->getCountdownFormat( $setting );
      $labels = $this->getCountdownLabels( $setting );
      ?>
      <div class="ipptak-countdown-item ipptak-clear" data-time="<?php echo $dtime; ?>" data-format="<?php echo $format; ?>" data-labels="<?php echo $labels; ?>"></div>
    </div>
  </div>
</div>
<script type="text/template" id="ipptak-countdown-template">
	<div class="time <%= label %>">
	  <span class="count curr top"><%= curr %></span>
	  <span class="count next top"><%= next %></span>
	  <span class="count next bottom"><%= next %></span>
	  <span class="count curr bottom"><%= curr %></span>
	  <span class="label"><%= label.length < 6 ? label : label.substr(0, 3)  %></span>
	</div>
</script>
